"use strict";

var _reactNative = require("@storybook/react-native");

var _react = _interopRequireDefault(require("react"));

var _reactNative2 = require("react-native");

var _styles = require("./styles");

var _utils = require("./utils");

var _reactNativeLinearGradient = _interopRequireDefault(require("react-native-linear-gradient"));

var _Colors = require("./Colors");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const colorsStories = (0, _reactNative.storiesOf)('Colors', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));
const general = ['Squid Ink', 'Action', 'Success', 'Warning', 'Disrupt'];
const grays = ['Support', 'Neutral', 'Iconic', 'Platin', 'Backdrop', 'White'];
const texts = ['Squid Ink', 'Action', 'Success', 'Warning', 'Disrupt', 'Support', 'Neutral'];
const graphs = ['Pending', 'Partial', 'Paid', 'Accepted', 'Collected', 'Billed', 'Not Billed', 'Partially Billed', 'Draft'];

const ColorBox = ({
  color,
  text,
  lightColor = false
}) => /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: _styles.C.mb4,
  key: text
}, /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(color, (0, _styles.classNames)('radius2 h20 w20', {
    'borderBasic borderMinimum': lightColor
  }))
}), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.mt2, _styles.C.font3, _styles.C.alignCenter)
}, text));

colorsStories.add('General Colors', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "General Colors"), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, general.map(graphName => /*#__PURE__*/_react.default.createElement(ColorBox, {
  key: graphName,
  color: _styles.C["bg".concat(graphName.split(' ').join(''))],
  text: graphName
}))), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, grays.map(graphName => /*#__PURE__*/_react.default.createElement(ColorBox, {
  key: graphName,
  color: _styles.C["bg".concat(graphName.split(' ').join(''))],
  text: graphName,
  lightColor: ['Platin', 'White'].includes(graphName)
})))));
colorsStories.add('Graphs Colors', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Graphs Colors"), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, graphs.map(graphName => /*#__PURE__*/_react.default.createElement(ColorBox, {
  key: graphName,
  color: _styles.C["bg".concat(graphName.split(' ').join(''))],
  text: graphName
})), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: _styles.C.mb2
}, /*#__PURE__*/_react.default.createElement(_reactNativeLinearGradient.default, {
  start: {
    x: 0,
    y: 0
  },
  end: {
    x: 1,
    y: 0
  },
  colors: _Colors.Gradient.single,
  style: (0, _styles.apply)(_styles.C.radius2, _styles.C.h20, _styles.C.w20)
}), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.mt2, _styles.C.font3, _styles.C.alignCenter)
}, "Single Gradient")))));
colorsStories.add('Text Colors', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Text Colors"), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, texts.map(graphName => /*#__PURE__*/_react.default.createElement(ColorBox, {
  key: graphName,
  color: _styles.C["bg".concat(graphName.split(' ').join(''))],
  text: graphName,
  lightColor: ['White'].includes(graphName)
})))));
//# sourceMappingURL=Colors.stories.js.map