"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));

var _reactNativeSafeAreaContext = require("react-native-safe-area-context");

var _AwesomeIcon = _interopRequireWildcard(require("../AwesomeIcon"));

var _styles = require("../../styles");

var _Colors = _interopRequireWildcard(require("../../Colors"));

var _Text = _interopRequireWildcard(require("../Text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const ActionSheet = ({
  closeText,
  items,
  title,
  visible = false
}, ref) => {
  const [isVisible, setIsVisible] = (0, _react.useState)(visible);

  const close = () => setIsVisible(false);

  const open = () => setIsVisible(true);

  (0, _react.useImperativeHandle)(ref, () => ({
    open,
    close
  }), []);
  (0, _react.useEffect)(() => {
    setIsVisible(visible);
  }, [visible]);

  const handlePress = item => () => {
    if (!item.disabled && item.onPress) {
      item.onPress();
    }
  };

  const hasIcon = items.some(item => item.icon);
  return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, {
    isVisible: isVisible,
    useNativeDriver: true,
    hideModalContentWhileAnimating: true,
    onBackButtonPress: close,
    onBackdropPress: close,
    style: (0, _styles.apply)(_styles.C.m0, _styles.C.px2, _styles.C.flex, _styles.C.justifyEnd)
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSafeAreaContext.SafeAreaView, {
    style: _styles.C.pb4
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.bgBackdrop, _styles.C.radius3)
  }, title ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.h10, _styles.C.itemsCenter, _styles.C.justifyCenter)
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    variant: _Text.TextVariant.XS,
    color: _Colors.TextColor.support
  }, title)) : null, items === null || items === void 0 ? void 0 : items.map((item, index) => /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    activeOpacity: item.onPress ? 0.8 : 1,
    onPress: handlePress(item),
    key: index,
    style: (0, _styles.classNames)('h14 row px4 itemsCenter bordertopHairline bordertopSupport', {
      justifyCenter: !hasIcon,
      justifyBetween: hasIcon
    })
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    variant: _Text.TextVariant.S,
    weight: _Text.FontWeight.Regular,
    color: _Colors.TextColor.action
  }, item.label), item.icon ? /*#__PURE__*/_react.default.createElement(_AwesomeIcon.default, {
    style: _styles.C.ml2,
    variant: _AwesomeIcon.AwesomeIconVariant.Solid,
    size: _AwesomeIcon.AwesomeIconSize.Medium,
    color: _Colors.default.action,
    icon: item.icon
  }) : null))), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: close,
    activeOpacity: 0.8,
    style: (0, _styles.apply)(_styles.C.mt3, _styles.C.py4, _styles.C.bgWhite, _styles.C.radius3, _styles.C.itemsCenter)
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    variant: _Text.TextVariant.S,
    weight: _Text.FontWeight.Bold,
    color: _Colors.TextColor.action
  }, closeText))));
};

var _default = /*#__PURE__*/(0, _react.forwardRef)(ActionSheet);

exports.default = _default;
//# sourceMappingURL=ActionSheet.js.map