"use strict";

var _reactNative = require("@storybook/react-native");

var _react = _interopRequireWildcard(require("react"));

var _reactNative2 = require("react-native");

var _utils = require("../../utils");

var _styles = require("../../styles");

var _ActionSheet = _interopRequireDefault(require("./ActionSheet"));

var _Button = _interopRequireWildcard(require("../Button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const actionSheetStories = (0, _reactNative.storiesOf)('ActionSheet', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));

function Component() {
  const actionSheetRef = (0, _react.useRef)(null);
  const actionsSimple = [{
    label: 'New Invoice'
  }, {
    label: 'New  Quote'
  }, {
    label: 'New Proforma'
  }, {
    label: 'New Purchase'
  }];
  const actionsWithIcons = [{
    label: 'Contact',
    icon: 'user'
  }, {
    label: 'Company',
    icon: 'building'
  }, {
    label: 'Debtor',
    icon: 'gavel'
  }, {
    label: 'Alien',
    icon: 'raygun'
  }];
  const [items, setItem] = (0, _react.useState)(actionsSimple);
  return /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
    style: _styles.C.flex
  }, /*#__PURE__*/_react.default.createElement(_utils.Title, null, 'ActionSheet'), /*#__PURE__*/_react.default.createElement(_Button.default, {
    onPress: () => {
      var _actionSheetRef$curre;

      (_actionSheetRef$curre = actionSheetRef.current) === null || _actionSheetRef$curre === void 0 ? void 0 : _actionSheetRef$curre.open();
    },
    variant: _Button.ButtonVariant.Primary,
    text: "Open"
  }), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Title, null, 'ActionSheet with icons'), /*#__PURE__*/_react.default.createElement(_Button.default, {
    onPress: () => {
      var _actionSheetRef$curre2;

      (_actionSheetRef$curre2 = actionSheetRef.current) === null || _actionSheetRef$curre2 === void 0 ? void 0 : _actionSheetRef$curre2.open();
      setItem(actionsWithIcons);
    },
    variant: _Button.ButtonVariant.Primary,
    text: "Open with icons"
  }), /*#__PURE__*/_react.default.createElement(_ActionSheet.default, {
    closeText: 'Cancel',
    items: items,
    title: 'Title ActionSheet',
    ref: actionSheetRef
  }), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Title, null, 'ActionSheet without title'), /*#__PURE__*/_react.default.createElement(_Button.default, {
    onPress: () => {
      var _actionSheetRef$curre3;

      (_actionSheetRef$curre3 = actionSheetRef.current) === null || _actionSheetRef$curre3 === void 0 ? void 0 : _actionSheetRef$curre3.open();
      setItem(actionsSimple);
    },
    variant: _Button.ButtonVariant.Primary,
    text: "Open with icons"
  }), /*#__PURE__*/_react.default.createElement(_ActionSheet.default, {
    closeText: 'Cancel',
    items: items,
    ref: actionSheetRef
  }));
}

actionSheetStories.add('Variants', () => {
  return /*#__PURE__*/_react.default.createElement(Component, null);
});
//# sourceMappingURL=ActionSheet.stories.js.map