"use strict";

var _reactNative = require("@storybook/react-native");

var _react = _interopRequireDefault(require("react"));

var _reactNative2 = require("react-native");

var _styles = require("../../styles");

var _utils = require("../../utils");

var _AwesomeIcon = _interopRequireDefault(require("./AwesomeIcon"));

var _AwesomeIcon2 = require("./AwesomeIcon.types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const awesomeIconStories = (0, _reactNative.storiesOf)('AwesomeIcon', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));
const brandIcons = ['react', 'twitter', 'facebook', 'youtube'];
const icons = ['key', 'home', 'times-circle', 'user'];

const renderIcons = (variant, size = _AwesomeIcon2.AwesomeIconSize.Medium) => icons.map((icon, index) => /*#__PURE__*/_react.default.createElement(_AwesomeIcon.default, {
  key: index,
  variant: variant,
  icon: icon,
  size: size,
  style: _styles.C.mb4
}));

const renderBrandIcons = () => brandIcons.map((icon, index) => /*#__PURE__*/_react.default.createElement(_AwesomeIcon.default, {
  key: index,
  variant: _AwesomeIcon2.AwesomeIconVariant.Brand,
  icon: icon,
  size: _AwesomeIcon2.AwesomeIconSize.Medium
}));

const renderTransformedIcons = transform => /*#__PURE__*/_react.default.createElement(_AwesomeIcon.default, {
  variant: _AwesomeIcon2.AwesomeIconVariant.Solid,
  icon: 'snowboarding',
  size: _AwesomeIcon2.AwesomeIconSize.Medium,
  transform: transform
});

awesomeIconStories.add('Variants', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Icon Variants"), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Duotone"), renderIcons(_AwesomeIcon2.AwesomeIconVariant.Duotone)), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Light"), renderIcons(_AwesomeIcon2.AwesomeIconVariant.Light)), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Solid"), renderIcons(_AwesomeIcon2.AwesomeIconVariant.Solid)), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Regular"), renderIcons(_AwesomeIcon2.AwesomeIconVariant.Regular)), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Brand"), renderBrandIcons())));
awesomeIconStories.add('Sizes', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Icon Sizes"), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Micro (10)"), renderIcons(_AwesomeIcon2.AwesomeIconVariant.Regular, _AwesomeIcon2.AwesomeIconSize.Micro)), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Extra Extra Small (12)"), renderIcons(_AwesomeIcon2.AwesomeIconVariant.Regular, _AwesomeIcon2.AwesomeIconSize.ExtraExtraSmall)), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Extra Small (16)"), renderIcons(_AwesomeIcon2.AwesomeIconVariant.Regular, _AwesomeIcon2.AwesomeIconSize.ExtraSmall)), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Small (20)"), renderIcons(_AwesomeIcon2.AwesomeIconVariant.Regular, _AwesomeIcon2.AwesomeIconSize.Small)), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Medium (24)"), renderIcons(_AwesomeIcon2.AwesomeIconVariant.Regular, _AwesomeIcon2.AwesomeIconSize.Medium)), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Large (32)"), renderIcons(_AwesomeIcon2.AwesomeIconVariant.Regular, _AwesomeIcon2.AwesomeIconSize.Large)), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Extra Large (48)"), renderIcons(_AwesomeIcon2.AwesomeIconVariant.Regular, _AwesomeIcon2.AwesomeIconSize.ExtraLarge))));
awesomeIconStories.add('Transformations', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Icon Transformations"), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Rotation"), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, renderTransformedIcons({}), renderTransformedIcons({
  rotate: 90
}), renderTransformedIcons({
  rotate: 180
}), renderTransformedIcons({
  rotate: 270
})), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Flip"), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: (0, _styles.apply)(_styles.C.row, _styles.C.mb4, _styles.C.justifyBetween, _styles.C.wrap)
}, renderTransformedIcons({}), renderTransformedIcons({
  flipX: true
}), renderTransformedIcons({
  flipY: true
}), renderTransformedIcons({
  flipX: true,
  flipY: true
}))));
//# sourceMappingURL=AwesomeIcon.stories.js.map