"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));

var _reactNativeKeyboardSpacer = _interopRequireDefault(require("react-native-keyboard-spacer"));

var _index = require("../../index");

var _index2 = _interopRequireWildcard(require("../AwesomeIcon/index"));

var _index3 = _interopRequireWildcard(require("../Text/index"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const BottomModal = ({
  title = '',
  children,
  isVisible = false,
  ...props
}, ref) => {
  const [visible, setVisible] = (0, _react.useState)(isVisible);

  const close = () => setVisible(false);

  const open = () => setVisible(true);

  (0, _react.useImperativeHandle)(ref, () => ({
    open,
    close
  }), []);
  (0, _react.useEffect)(() => {
    setVisible(visible);
  }, [isVisible, visible]);
  (0, _react.useEffect)(() => {
    if (_reactNative.Platform.OS !== 'ios') {
      _reactNative.StatusBar.setTranslucent(true);
    }

    return () => _reactNative.StatusBar.setTranslucent(false);
  }, []);
  return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, _extends({
    isVisible: visible,
    style: (0, _index.apply)(_index.C.justifyEnd, _index.C.m0),
    onBackdropPress: close,
    onBackButtonPress: close
  }, props), /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, {
    style: (0, _index.apply)(_index.C.itemBottom, _index.C.justifyEnd, _index.C.bgWhite, {
      borderTopLeftRadius: 12,
      borderTopRightRadius: 12
    })
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _index.apply)(_index.C.row, _index.C.justifyBetween, _index.C.itemsCenter, _index.C.mt3, _index.C.py3, _index.C.px4, _index.C.mb1)
  }, /*#__PURE__*/_react.default.createElement(_index3.default, {
    variant: _index3.TextVariant.Large,
    weight: _index3.FontWeight.Regular,
    numberOfLines: 1
  }, title), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: close,
    style: _index.C.ml2
  }, /*#__PURE__*/_react.default.createElement(_index2.default, {
    variant: _index2.AwesomeIconVariant.Regular,
    icon: "times",
    size: _index2.AwesomeIconSize.Medium,
    color: _index.Color.support
  }))), children, /*#__PURE__*/_react.default.createElement(_reactNativeKeyboardSpacer.default, null)));
};

var _default = /*#__PURE__*/(0, _react.forwardRef)(BottomModal);

exports.default = _default;
//# sourceMappingURL=BottomModal.js.map