"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@storybook/react-native");

var _utils = require("../../utils");

var _Button = _interopRequireDefault(require("./Button"));

var _Button2 = require("./Button.types");

var _AwesomeIcon = require("../AwesomeIcon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const buttonStories = (0, _reactNative.storiesOf)('Button', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));
buttonStories.add('Variants', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Button Variants"), /*#__PURE__*/_react.default.createElement(_Button.default, {
  onPress: () => {},
  variant: _Button2.ButtonVariant.Primary,
  text: "Primary Button"
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_Button.default, {
  onPress: () => {},
  variant: _Button2.ButtonVariant.Secondary,
  text: "Secondary Button"
})));
buttonStories.add('Sizes', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Button Sizes"), /*#__PURE__*/_react.default.createElement(_Button.default, {
  onPress: () => {},
  size: _Button2.ButtonSize.Small,
  text: "Small Button"
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_Button.default, {
  onPress: () => {},
  size: _Button2.ButtonSize.Medium,
  text: "Medium Button"
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_Button.default, {
  onPress: () => {},
  size: _Button2.ButtonSize.Large,
  text: "Large Button"
})));
buttonStories.add('States', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Button States"), /*#__PURE__*/_react.default.createElement(_Button.default, {
  onPress: () => {},
  text: "Default State"
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_Button.default, {
  onPress: () => {},
  disabled: true,
  text: "Disabled State"
})));
buttonStories.add('Social', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Social Buttons"), /*#__PURE__*/_react.default.createElement(_Button.default, {
  variant: _Button2.ButtonVariant.Social,
  provider: _Button2.SocialButton.Apple,
  onPress: () => {},
  text: "Signup with Apple"
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_Button.default, {
  variant: _Button2.ButtonVariant.Social,
  provider: _Button2.SocialButton.Google,
  onPress: () => {},
  text: "Login with Google"
})));
buttonStories.add('With Icon', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "With Icon"), /*#__PURE__*/_react.default.createElement(_Button.default, {
  onPress: () => {},
  iconName: "plus",
  text: "Add"
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_Button.default, {
  onPress: () => {},
  iconName: "trash",
  variant: _Button2.ButtonVariant.Secondary,
  text: "Remove"
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_Button.default, {
  onPress: () => {},
  iconName: "envelope",
  iconVariant: _AwesomeIcon.AwesomeIconVariant.Solid,
  text: "Send"
})));
//# sourceMappingURL=Button.stories.js.map