"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeLinearGradient = _interopRequireDefault(require("react-native-linear-gradient"));

var _Widget = _interopRequireDefault(require("../Widget"));

var _index = require("../../index");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const ProgressBarChart = ({
  current,
  total,
  title,
  Text,
  text
}) => {
  const [viewLayout, setViewLayout] = (0, _react.useState)({
    height: 0,
    width: 0
  });
  const percentage = current / total;
  const progressWidth = viewLayout.width * (percentage < 1 ? percentage : 1);
  return /*#__PURE__*/_react.default.createElement(_Widget.default, {
    title: title,
    text: text
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _index.apply)(_index.C.wFull, _index.C.h2, _index.C.bgGray200, _index.C.radius2, _index.C.mt4),
    onLayout: ({
      nativeEvent: {
        layout
      }
    }) => setViewLayout(layout)
  }, /*#__PURE__*/_react.default.createElement(_reactNativeLinearGradient.default, {
    colors: _index.Gradient.single,
    start: {
      x: 0,
      y: 1
    },
    end: {
      x: 1,
      y: 1
    },
    style: (0, _index.apply)(_index.C.h2, {
      width: progressWidth
    }, _index.C.radius2)
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _index.apply)(_index.C.row, _index.C.itemsEnd, _index.C.mt5)
  }, /*#__PURE__*/_react.default.createElement(Text, null, "".concat((total / current * 100).toFixed(1), " %")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _index.apply)(_index.C.ml4)
  }, text && /*#__PURE__*/_react.default.createElement(Text, null, text), /*#__PURE__*/_react.default.createElement(Text, null, total.toString()))));
};

var _default = ProgressBarChart;
exports.default = _default;
//# sourceMappingURL=ProgressBarChart.js.map