"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _styles = require("../../styles");

var _Colors = _interopRequireWildcard(require("../../Colors"));

var _Text = _interopRequireWildcard(require("../Text"));

var _FilterChip = require("./FilterChip.types");

var _AwesomeIcon = _interopRequireWildcard(require("../AwesomeIcon"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const FilterChip = ({
  containerStyle,
  variant,
  disabled,
  onPress,
  removable,
  text,
  icon
}) => {
  const handlePress = () => {
    if (!disabled) {
      onPress();
    }
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: (0, _styles.apply)((0, _styles.classNames)('justifyBetween borderMinimum py2 row itemsCenter radius2 selfStart', {
      px3: !removable,
      pl3: removable,
      pr2: removable,
      bgAction: variant === _FilterChip.FilterChipVariant.Primary,
      bgPlatin: variant === _FilterChip.FilterChipVariant.Secondary,
      borderAction: variant === _FilterChip.FilterChipVariant.Primary,
      borderIconic: variant === _FilterChip.FilterChipVariant.Secondary
    }), containerStyle),
    onPress: handlePress,
    activeOpacity: 0.8
  }, icon, /*#__PURE__*/_react.default.createElement(_Text.default, {
    color: variant === _FilterChip.FilterChipVariant.Primary ? _Colors.TextColor.white : _Colors.TextColor.support,
    variant: _Text.TextVariant.ExtraExtraSmall
  }, text), removable ? /*#__PURE__*/_react.default.createElement(_AwesomeIcon.default, {
    icon: "times",
    variant: _AwesomeIcon.AwesomeIconVariant.Solid,
    color: variant === _FilterChip.FilterChipVariant.Primary ? _Colors.default.white : _Colors.default.action,
    size: _AwesomeIcon.AwesomeIconSize.ExtraExtraSmall,
    style: _styles.C.ml1
  }) : null);
};

var _default = FilterChip;
exports.default = _default;
//# sourceMappingURL=FilterChip.js.map