"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@storybook/react-native");

var _utils = require("../../utils");

var _styles = require("../../styles");

var _Input = _interopRequireDefault(require("./Input"));

var _reactNative2 = require("react-native");

var _Input2 = require("./Input.types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const inputStories = (0, _reactNative.storiesOf)('Input', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));
inputStories.add('Status', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, {
  style: _styles.C.px4
}, "Input Status"), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, {
  style: _styles.C.px4
}, "Basic input"), /*#__PURE__*/_react.default.createElement(_Input.default, {
  placeholder: "Full Name"
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, {
  style: _styles.C.px4
}, "Password input"), /*#__PURE__*/_react.default.createElement(_Input.default, {
  icon: "key",
  placeholder: "Choose a password",
  secureTextEntry: true
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, {
  style: _styles.C.px4
}, "Focused input"), /*#__PURE__*/_react.default.createElement(_Input.default, {
  icon: "user",
  placeholder: "User Name",
  defaultValue: "Zlatan Ibrahimovic",
  focused: true
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, {
  style: _styles.C.px4
}, "Error input"), /*#__PURE__*/_react.default.createElement(_Input.default, {
  icon: "home",
  placeholder: "Address",
  error: true
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, {
  style: _styles.C.px4
}, "Error input with value"), /*#__PURE__*/_react.default.createElement(_Input.default, {
  icon: "home",
  placeholder: "Address",
  defaultValue: "Passeig Joan de Borb\xF3",
  error: true
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, {
  style: _styles.C.px4
}, "Disabled"), /*#__PURE__*/_react.default.createElement(_Input.default, {
  disabled: true,
  icon: "envelope",
  placeholder: "Email"
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, {
  style: _styles.C.px4
}, "Readonly"), /*#__PURE__*/_react.default.createElement(_Input.default, {
  readonly: true,
  defaultValue: "john.doe@example.com",
  icon: "envelope",
  placeholder: "Email"
}), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: _styles.C.h8
})));
inputStories.add('Sizes', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, {
  style: _styles.C.px4
}, "Input Sizes"), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, {
  style: _styles.C.px4
}, "Normal Size"), /*#__PURE__*/_react.default.createElement(_Input.default, {
  placeholder: "Full Name"
}), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: _styles.C.h2
}), /*#__PURE__*/_react.default.createElement(_Input.default, {
  icon: "home",
  placeholder: "Address"
}), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: _styles.C.h2
}), /*#__PURE__*/_react.default.createElement(_Input.default, {
  icon: "user",
  placeholder: "User Name",
  error: true
}), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Subtitle, {
  style: _styles.C.px4
}, "Small Size"), /*#__PURE__*/_react.default.createElement(_Input.default, {
  size: _Input2.InputSize.Small,
  placeholder: "This is a placeholder"
}), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: _styles.C.h2
}), /*#__PURE__*/_react.default.createElement(_Input.default, {
  size: _Input2.InputSize.Small,
  placeholder: "Address",
  icon: "home"
}), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: _styles.C.h2
}), /*#__PURE__*/_react.default.createElement(_Input.default, {
  size: _Input2.InputSize.Small,
  placeholder: "User Name",
  icon: "user",
  error: true
})));
//# sourceMappingURL=Input.stories.js.map