"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styles = require("../../styles");

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeKeyboardSpacer = _interopRequireDefault(require("react-native-keyboard-spacer"));

var _reactNativeSafeAreaContext = require("react-native-safe-area-context");

var _Colors = _interopRequireDefault(require("../../Colors"));

var _AwesomeIcon = _interopRequireWildcard(require("../AwesomeIcon"));

var _Text = _interopRequireWildcard(require("../Text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Layout = ({
  actions,
  children,
  hideHeader = false,
  hideKeyboardSpacer = false,
  //In ContactList -> IOS the keyboardSpacer is not working correctly, workaround just to remove the keyboardSpacer for this situation
  onBack,
  insets,
  lightBar = false,
  statusBarColor = _Colors.default.backdrop,
  title = '',
  withBack = false,
  withTabs = false
}) => {
  (0, _react.useEffect)(() => {
    _reactNative.StatusBar.setBarStyle(lightBar ? 'light-content' : 'dark-content');

    if (_reactNative.Platform.OS !== 'ios') {
      _reactNative.StatusBar.setHidden(false);

      _reactNative.StatusBar.setBackgroundColor(statusBarColor);
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [statusBarColor]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNativeSafeAreaContext.SafeAreaView, {
    style: (0, _styles.apply)(_styles.C.bgBackdrop, _styles.C.flex, withTabs ? {
      paddingBottom: -insets.bottom
    } : {})
  }, !hideHeader ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.p4, _styles.C.h16, _styles.C.row, _styles.C.itemsCenter)
  }, withBack && /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onBack,
    activeOpacity: 0.8
  }, /*#__PURE__*/_react.default.createElement(_AwesomeIcon.default, {
    icon: "chevron-left",
    variant: _AwesomeIcon.AwesomeIconVariant.Regular,
    color: _Colors.default.action,
    size: _AwesomeIcon.AwesomeIconSize.ExtraSmall,
    style: (0, _styles.apply)(_styles.C.p2, _styles.C.mr2)
  })), typeof title === 'string' ? /*#__PURE__*/_react.default.createElement(_Text.default, {
    numberOfLines: 1,
    variant: _Text.TextVariant.ExtraLarge,
    weight: _Text.FontWeight.Medium
  }, title) : title, actions ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.flex, _styles.C.ml1, _styles.C.row, _styles.C.justifyEnd, _styles.C.itemsCenter)
  }, actions) : null) : null, children), !hideKeyboardSpacer && _reactNative.Platform.OS === 'ios' && /*#__PURE__*/_react.default.createElement(_reactNativeKeyboardSpacer.default, {
    topSpacing: 0
  }));
};

var _default = Layout;
exports.default = _default;
//# sourceMappingURL=Layout.js.map