"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@storybook/react-native");

var _utils = require("../../utils");

var _Layout = _interopRequireDefault(require("./Layout"));

var _styles = require("../../styles");

var _reactNative2 = require("react-native");

var _index = _interopRequireWildcard(require("../Text/index"));

var _AwesomeIcon = _interopRequireWildcard(require("../AwesomeIcon"));

var _Colors = _interopRequireDefault(require("../../Colors"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const layoutStories = (0, _reactNative.storiesOf)('Layout', module);
layoutStories.add('Basic Layout', () => /*#__PURE__*/_react.default.createElement(_Layout.default, {
  title: "Basic Layout",
  insets: _utils.insets
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Children content")));
layoutStories.add('With Back Layout', () => /*#__PURE__*/_react.default.createElement(_Layout.default, {
  title: "With back Layout",
  insets: _utils.insets,
  withBack: true
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Children content")));
layoutStories.add('With Actions Layout', () => {
  const actions = /*#__PURE__*/_react.default.createElement(_reactNative2.TouchableOpacity, {
    onPress: () => _reactNative2.Alert.alert('Alert title', 'Alert content')
  }, /*#__PURE__*/_react.default.createElement(_AwesomeIcon.default, {
    icon: "plus",
    variant: _AwesomeIcon.AwesomeIconVariant.Light,
    size: _AwesomeIcon.AwesomeIconSize.Medium,
    color: _Colors.default.action
  }));

  return /*#__PURE__*/_react.default.createElement(_Layout.default, {
    title: "With actions Layout",
    actions: actions,
    insets: _utils.insets,
    withBack: true
  }, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Children content"));
});
layoutStories.add('With icons', () => /*#__PURE__*/_react.default.createElement(_Layout.default, {
  title: /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
    style: (0, _styles.apply)(_styles.C.row, _styles.C.itemsCenter)
  }, /*#__PURE__*/_react.default.createElement(_index.default, {
    numberOfLines: 1,
    variant: _index.TextVariant.ExtraLarge,
    weight: _index.FontWeight.Medium
  }, '#F200005'), /*#__PURE__*/_react.default.createElement(_AwesomeIcon.default, {
    icon: 'circle',
    variant: _AwesomeIcon.AwesomeIconVariant.Solid,
    size: _AwesomeIcon.AwesomeIconSize.ExtraExtraSmall,
    style: _styles.C.ml2,
    color: _Colors.default.disrupt
  })),
  insets: _utils.insets,
  withBack: true
}, /*#__PURE__*/_react.default.createElement(_utils.Subtitle, null, "Children")));
//# sourceMappingURL=Layout.stories.js.map