"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styles = require("../../styles");

var _reactNative = require("react-native");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const LOADER_HEIGHT = 60;

const Loader = ({
  loading = false
}, ref) => {
  const barInnerHeightAnim = (0, _react.useRef)(new _reactNative.Animated.Value(LOADER_HEIGHT)).current;
  const barMiddleHeightAnim = (0, _react.useRef)(new _reactNative.Animated.Value(LOADER_HEIGHT * 0.6)).current;
  const barOuterHeightAnim = (0, _react.useRef)(new _reactNative.Animated.Value(LOADER_HEIGHT * 0.3)).current;
  const [isLoading, setIsLoading] = (0, _react.useState)(loading);

  const show = () => setIsLoading(true);

  const hide = () => setIsLoading(false);

  (0, _react.useEffect)(() => {
    setIsLoading(loading);
  }, [loading]);
  (0, _react.useImperativeHandle)(ref, () => ({
    show,
    hide
  }), []);
  (0, _react.useEffect)(() => {
    if (isLoading) {
      _reactNative.Animated.loop(_reactNative.Animated.sequence([_reactNative.Animated.parallel([_reactNative.Animated.timing(barInnerHeightAnim, {
        toValue: LOADER_HEIGHT * 0.6,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      }), _reactNative.Animated.timing(barMiddleHeightAnim, {
        toValue: LOADER_HEIGHT * 0.3,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      }), _reactNative.Animated.timing(barOuterHeightAnim, {
        toValue: LOADER_HEIGHT * 0.6,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      })]), _reactNative.Animated.parallel([_reactNative.Animated.timing(barInnerHeightAnim, {
        toValue: LOADER_HEIGHT * 0.3,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      }), _reactNative.Animated.timing(barMiddleHeightAnim, {
        toValue: LOADER_HEIGHT * 0.6,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      }), _reactNative.Animated.timing(barOuterHeightAnim, {
        toValue: LOADER_HEIGHT,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      })]), _reactNative.Animated.parallel([_reactNative.Animated.timing(barInnerHeightAnim, {
        toValue: LOADER_HEIGHT * 0.6,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      }), _reactNative.Animated.timing(barMiddleHeightAnim, {
        toValue: LOADER_HEIGHT,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      }), _reactNative.Animated.timing(barOuterHeightAnim, {
        toValue: LOADER_HEIGHT * 0.6,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      })]), _reactNative.Animated.parallel([_reactNative.Animated.timing(barInnerHeightAnim, {
        toValue: LOADER_HEIGHT,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      }), _reactNative.Animated.timing(barMiddleHeightAnim, {
        toValue: LOADER_HEIGHT * 0.6,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      }), _reactNative.Animated.timing(barOuterHeightAnim, {
        toValue: LOADER_HEIGHT * 0.3,
        duration: 250,
        useNativeDriver: false,
        easing: _reactNative.Easing.out(_reactNative.Easing.ease)
      })])])).start();
    }
  }, [isLoading, barOuterHeightAnim, barInnerHeightAnim, barMiddleHeightAnim]);

  if (!isLoading) {
    return null;
  }

  const barStyles = (0, _styles.apply)(_styles.C.w2, _styles.C.mx1, _styles.C.bgWhite, _styles.C.radius2, {
    minHeight: LOADER_HEIGHT * 0.3,
    maxHeight: LOADER_HEIGHT
  });
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.absolute, _styles.C.wFull, _styles.C.hFull, _styles.C.bgBlack, _styles.C.opacity50, _styles.C.itemsCenter, _styles.C.justifyCenter, _styles.C.flex, {
      zIndex: 1
    })
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.flex, _styles.C.row, _styles.C.justifyBetween, _styles.C.itemsCenter, {
      height: LOADER_HEIGHT
    })
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: (0, _styles.apply)(barStyles, {
      height: barOuterHeightAnim
    })
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: (0, _styles.apply)(barStyles, {
      height: barMiddleHeightAnim
    })
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: (0, _styles.apply)(barStyles, {
      height: barInnerHeightAnim
    })
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: (0, _styles.apply)(barStyles, {
      height: barMiddleHeightAnim
    })
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: (0, _styles.apply)(barStyles, {
      height: barOuterHeightAnim
    })
  })));
};

var _default = /*#__PURE__*/(0, _react.forwardRef)(Loader);

exports.default = _default;
//# sourceMappingURL=Loader.js.map