"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));

var _Text = _interopRequireWildcard(require("../Text"));

var _Colors = _interopRequireDefault(require("../../Colors"));

var _AwesomeIcon = _interopRequireWildcard(require("../AwesomeIcon"));

var _styles = require("../../styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Modal = ({
  title = '',
  footer,
  children,
  isVisible = false,
  ...props
}, ref) => {
  const [visible, setVisible] = (0, _react.useState)(isVisible);

  const close = () => setVisible(false);

  const open = () => setVisible(true);

  (0, _react.useImperativeHandle)(ref, () => ({
    open,
    close
  }), []);
  (0, _react.useEffect)(() => {
    setVisible(visible);
  }, [isVisible, visible]);
  return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, _extends({
    isVisible: visible,
    style: (0, _styles.apply)(_styles.C.flex, _styles.C.m0)
  }, props), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.flex, _styles.C.bgWhite, {
      borderTopLeftRadius: 12,
      borderTopRightRadius: 12
    })
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.row, _styles.C.justifyBetween, _styles.C.itemsCenter, _styles.C.mt3, _styles.C.py3, _styles.C.px4, _styles.C.mb1)
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    variant: _Text.TextVariant.Large,
    weight: _Text.FontWeight.Bold,
    numberOfLines: 1
  }, title), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: close,
    style: _styles.C.ml2
  }, /*#__PURE__*/_react.default.createElement(_AwesomeIcon.default, {
    variant: _AwesomeIcon.AwesomeIconVariant.Regular,
    icon: "times",
    size: _AwesomeIcon.AwesomeIconSize.Medium,
    color: _Colors.default.support
  }))), _reactNative.Platform.OS === 'ios' ? /*#__PURE__*/_react.default.createElement(_reactNative.KeyboardAvoidingView, {
    style: _styles.C.flex,
    keyboardVerticalOffset: 50,
    behavior: 'padding'
  }, /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    style: (0, _styles.apply)(_styles.C.flex)
  }, children)) : /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    style: (0, _styles.apply)(_styles.C.flex)
  }, children), footer));
};

var _default = /*#__PURE__*/(0, _react.forwardRef)(Modal);

exports.default = _default;
//# sourceMappingURL=Modal.js.map