"use strict";

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNative2 = require("@storybook/react-native");

var _utils = require("../../utils");

var _Button = _interopRequireWildcard(require("../Button"));

var _Text = _interopRequireWildcard(require("../Text"));

var _Input = _interopRequireDefault(require("../Input"));

var _Modal = _interopRequireDefault(require("./Modal"));

var _styles = require("../../styles");

var _Colors = require("../../Colors");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const modalStories = (0, _reactNative2.storiesOf)('Modal', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));

function Component() {
  const modalRef = _react.default.useRef(null);

  const [footer, setFooter] = (0, _react.useState)(null);
  const [title, setTitle] = (0, _react.useState)('Title Modal');

  const footerComp = /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.px4, _styles.C.my4)
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: (0, _styles.apply)(_styles.C.bgAction, _styles.C.radius2, _styles.C.h12, _styles.C.row, _styles.C.itemsCenter, _styles.C.justifyCenter)
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    variant: _Text.TextVariant.Small,
    weight: _Text.FontWeight.Bold,
    color: _Colors.TextColor.white
  }, "Save")));

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.C.flex1
  }, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Modal"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    onPress: () => {
      var _modalRef$current;

      (_modalRef$current = modalRef.current) === null || _modalRef$current === void 0 ? void 0 : _modalRef$current.open();
      setFooter(null);
    },
    variant: _Button.ButtonVariant.Primary,
    text: "Open"
  }), /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Modal with Footer"), /*#__PURE__*/_react.default.createElement(_Button.default, {
    onPress: () => {
      var _modalRef$current2;

      (_modalRef$current2 = modalRef.current) === null || _modalRef$current2 === void 0 ? void 0 : _modalRef$current2.open();
      setFooter(footerComp);
      setTitle('Title Modal with Footer');
    },
    variant: _Button.ButtonVariant.Primary,
    text: "Open"
  }), /*#__PURE__*/_react.default.createElement(_Modal.default, {
    ref: modalRef,
    title: title,
    footer: footer,
    style: (0, _styles.apply)(_styles.C.m0, _styles.C.flex, {
      paddingTop: 50
    })
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)(_styles.C.flex)
  }, /*#__PURE__*/_react.default.createElement(_utils.Separator, null), /*#__PURE__*/_react.default.createElement(_Input.default, {
    icon: "user",
    placeholder: 'Contact'
  }), /*#__PURE__*/_react.default.createElement(_Input.default, {
    icon: "clock",
    containerStyle: _styles.C.bordertop0,
    placeholder: 'Calendar'
  }), /*#__PURE__*/_react.default.createElement(_Input.default, {
    icon: "calendar",
    placeholder: 'Due Calendar',
    containerStyle: _styles.C.bordertop0
  }), /*#__PURE__*/_react.default.createElement(_Input.default, {
    icon: "percent",
    containerStyle: _styles.C.bordertop0,
    placeholder: 'Discount'
  }), footer === null ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Input.default, {
    icon: "envelope",
    placeholder: 'Extra Input 1',
    containerStyle: _styles.C.bordertop0
  }), /*#__PURE__*/_react.default.createElement(_Input.default, {
    icon: "key",
    containerStyle: _styles.C.bordertop0,
    placeholder: 'Extra Input 2'
  }), /*#__PURE__*/_react.default.createElement(_Input.default, {
    icon: "envelope",
    placeholder: 'Extra Input 3',
    containerStyle: _styles.C.bordertop0
  }), /*#__PURE__*/_react.default.createElement(_Input.default, {
    icon: "key",
    containerStyle: _styles.C.bordertop0,
    placeholder: 'Extra Input 4'
  }), /*#__PURE__*/_react.default.createElement(_Input.default, {
    icon: "envelope",
    placeholder: 'Extra Input 5',
    containerStyle: _styles.C.bordertop0
  })) : null)));
}

modalStories.add('Variants', () => {
  return /*#__PURE__*/_react.default.createElement(Component, null);
});
//# sourceMappingURL=Modal.stories.js.map