"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _styles = require("../../styles");

var _Colors = require("../../Colors");

var _Text = _interopRequireWildcard(require("../Text"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// This is to scroll to more left item position in order to be able to display the previous item in order to tap it without need to scroll manually.
const SCROLL_OVERFLOW = 24;

const Tabs = ({
  containerStyle,
  data,
  justified,
  onChange,
  scrollOverflow = SCROLL_OVERFLOW,
  selected,
  tabStyle,
  tabSelectedStyle
}) => {
  const [current, setCurrent] = (0, _react.useState)(selected || 0);
  const scrollViewRef = (0, _react.useRef)(null);
  const elementPosition = (0, _react.useRef)([]);

  const handlePress = (item, index) => () => {
    if (!item.disabled) {
      var _scrollViewRef$curren;

      setCurrent(index);
      onChange === null || onChange === void 0 ? void 0 : onChange(item, index);
      (_scrollViewRef$curren = scrollViewRef.current) === null || _scrollViewRef$curren === void 0 ? void 0 : _scrollViewRef$curren.scrollTo({
        x: elementPosition.current[index] - scrollOverflow
      });
    }
  };

  const setPosition = (e, index) => {
    const {
      x
    } = e.nativeEvent.layout;

    if (!elementPosition.current[index]) {
      elementPosition.current[index] = x;
    }
  };

  (0, _react.useEffect)(() => {
    setCurrent(selected || 0);
  }, [selected]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    ref: scrollViewRef,
    showsHorizontalScrollIndicator: false,
    bounces: false,
    alwaysBounceHorizontal: false,
    contentContainerStyle: (0, _styles.classNames)('', {
      wFull: justified,
      justifyBetween: justified
    }),
    horizontal: true,
    style: (0, _styles.apply)(_styles.C.row, containerStyle)
  }, data === null || data === void 0 ? void 0 : data.map((item, index) => /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    key: index,
    activeOpacity: 1,
    style: (0, _styles.classNames)('flex h8 justifyCenter itemsCenter', {
      mr2: !justified && index < data.length - 1
    }),
    onPress: handlePress(item, index),
    onLayout: e => setPosition(e, index)
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.apply)((0, _styles.classNames)('h8 justifyCenter px3 ', {
      bgAction: current === index
    }), _styles.C.radius4, current === index ? tabSelectedStyle : tabStyle)
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    color: current === index ? _Colors.TextColor.white : _Colors.TextColor.action,
    variant: _Text.TextVariant.ExtraSmall
  }, item.name)))));
};

var _default = Tabs;
exports.default = _default;
//# sourceMappingURL=Tabs.js.map