"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.OnboardingText = void 0;

var _react = _interopRequireDefault(require("react"));

var _styles = require("../../styles");

var _reactNative = require("react-native");

var _Text = require("./Text.types");

var _Colors = require("../../Colors");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Text = ({
  align,
  children,
  color = _Colors.TextColor.squidInk,
  style,
  uppercase,
  variant,
  weight = _Text.FontWeight.Regular,
  ...props
}) => /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
  style: (0, _styles.apply)(style, (0, _styles.classNames)('font4', {
    'familyRobotoMedium font8 line9 letterfour': variant === _Text.TextVariant.Hero,
    'familyRobotoMedium line8 lettertwo': variant === _Text.TextVariant.ExtraLarge,
    'familyRobotoBold font6 line8 letterzero': variant === _Text.TextVariant.Large && weight === _Text.FontWeight.Bold,
    'familyRobotoRegular font6 line8 letterzero': variant === _Text.TextVariant.Large && weight === _Text.FontWeight.Regular,
    'familyRobotoBold font5 letterzero': variant === _Text.TextVariant.Medium,
    'familyRobotoBold line5 lettertwo': variant === _Text.TextVariant.Small && weight === _Text.FontWeight.Bold,
    'familyRobotoMedium line5 lettertwo': variant === _Text.TextVariant.Small && weight === _Text.FontWeight.Medium,
    'familyRobotoRegular line5 letterzero': variant === _Text.TextVariant.Small && weight === _Text.FontWeight.Regular,
    'familyRobotoRegular font3 letterzero': variant === _Text.TextVariant.ExtraSmall || variant === _Text.TextVariant.ExtraExtraSmall,
    'uppercase': uppercase,
    'alignLeft': align === _Text.TextAlign.Left,
    'alignCenter': align === _Text.TextAlign.Center,
    'alignRight': align === _Text.TextAlign.Right
  }), {
    color
  }, variant === _Text.TextVariant.ExtraLarge ? {
    fontSize: 26
  } : {}, variant === _Text.TextVariant.Medium ? {
    lineHeight: 26
  } : {}, variant === _Text.TextVariant.ExtraSmall ? {
    fontSize: 14,
    lineHeight: 18
  } : {})
}), "".concat(children));

const OnboardingText = ({
  children,
  color = _Colors.TextColor.squidInk,
  variant,
  style,
  ...props
}) => /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, props, {
  style: (0, _styles.apply)(style, (0, _styles.classNames)('letterfour', {
    'familyRobotoBold font9 line11': variant === _Text.OnboardingTextVariant.Hero,
    'familyRobotoRegular font7 line9': variant === _Text.OnboardingTextVariant.ExtraLarge,
    'familyRobotoRegular line7': variant === _Text.OnboardingTextVariant.Large
  }), {
    color
  }, variant === _Text.OnboardingTextVariant.Large ? {
    fontSize: 21
  } : {})
}), "".concat(children));

exports.OnboardingText = OnboardingText;
var _default = Text;
exports.default = _default;
//# sourceMappingURL=Text.js.map