"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@storybook/react-native");

var _reactNative2 = require("react-native");

var _styles = require("../../styles");

var _utils = require("../../utils");

var _Colors = require("../../Colors");

var _Text = _interopRequireWildcard(require("./Text"));

var _Text2 = require("./Text.types");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const textStories = (0, _reactNative.storiesOf)('Text', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
_react.default.createElement(_utils.Container, null, story()));
textStories.add('Onboarding Text', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Onboarding"), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.font4, _styles.C.mt8, _styles.C.mb2, _styles.C.familyRobotoBold)
}, "HERO"), /*#__PURE__*/_react.default.createElement(_Text.OnboardingText, {
  variant: _Text2.OnboardingTextVariant.Hero
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.font4, _styles.C.mt8, _styles.C.mb2, _styles.C.familyRobotoBold)
}, "XL / ExtraLarge"), /*#__PURE__*/_react.default.createElement(_Text.OnboardingText, {
  variant: _Text2.OnboardingTextVariant.ExtraLarge
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.font4, _styles.C.mt8, _styles.C.mb2, _styles.C.familyRobotoBold)
}, "L / Large"), /*#__PURE__*/_react.default.createElement(_Text.OnboardingText, {
  variant: _Text2.OnboardingTextVariant.Large
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto")));
textStories.add('General Text', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "General"), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.font4, _styles.C.mt8, _styles.C.mb2, _styles.C.familyRobotoBold)
}, "HERO"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  variant: _Text2.TextVariant.Hero
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.font4, _styles.C.mt8, _styles.C.mb2, _styles.C.familyRobotoBold)
}, "XL / Extra Large"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  variant: _Text2.TextVariant.XL
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.font4, _styles.C.mt8, _styles.C.mb2, _styles.C.familyRobotoBold)
}, "L / Large"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  style: _styles.C.mb2,
  variant: _Text2.TextVariant.Large,
  weight: _Text2.FontWeight.Bold
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  variant: _Text2.TextVariant.Large,
  weight: _Text2.FontWeight.Regular
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.font4, _styles.C.mt8, _styles.C.mb2, _styles.C.familyRobotoBold)
}, "M / Medium"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  variant: _Text2.TextVariant.Medium
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.font4, _styles.C.mt8, _styles.C.mb2, _styles.C.familyRobotoBold)
}, "S / Small"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  style: _styles.C.mb2,
  variant: _Text2.TextVariant.Small,
  weight: _Text2.FontWeight.Bold
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  style: _styles.C.mb2,
  variant: _Text2.TextVariant.Small,
  weight: _Text2.FontWeight.Medium
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  variant: _Text2.TextVariant.Small,
  weight: _Text2.FontWeight.Regular
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.font4, _styles.C.mt8, _styles.C.mb2, _styles.C.familyRobotoBold)
}, "XS / Extra Small"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  style: _styles.C.mb2,
  variant: _Text2.TextVariant.XS
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_reactNative2.Text, {
  style: (0, _styles.apply)(_styles.C.font4, _styles.C.mt8, _styles.C.mb2, _styles.C.familyRobotoBold)
}, "XXS / Extra Extra Small"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  variant: _Text2.TextVariant.XXS
}, "Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto"), /*#__PURE__*/_react.default.createElement(_reactNative2.View, {
  style: _styles.C.h8
})));
textStories.add('Alignment', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Text Alignment"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  style: _styles.C.mb4,
  variant: _Text2.TextVariant.Medium,
  align: _Text2.TextAlign.Left
}, "Text aligned in the left"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  style: _styles.C.mb4,
  variant: _Text2.TextVariant.Medium,
  align: _Text2.TextAlign.Center
}, "Text aligned in the center"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  variant: _Text2.TextVariant.Medium,
  align: _Text2.TextAlign.Right
}, "Text aligned in the right")));
textStories.add('Colors', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Text Colors"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  style: _styles.C.mb4,
  variant: _Text2.TextVariant.Medium,
  color: _Colors.TextColor.disrupt
}, "Text in Disrupt color"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  style: _styles.C.mb4,
  variant: _Text2.TextVariant.Medium,
  color: _Colors.TextColor.action
}, "Text in Action color"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  variant: _Text2.TextVariant.Medium,
  color: _Colors.TextColor.support
}, "Text in Support color")));
textStories.add('Uppercase', () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_utils.Title, null, "Normal or Uppercase"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  style: _styles.C.mb4,
  variant: _Text2.TextVariant.Medium
}, "Text by default"), /*#__PURE__*/_react.default.createElement(_Text.default, {
  variant: _Text2.TextVariant.Medium,
  uppercase: true
}, "Text in uppercase")));
//# sourceMappingURL=Text.stories.js.map