"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.insets = exports.Subtitle = exports.Title = exports.Separator = exports.Container = void 0;

var _react = _interopRequireDefault(require("react"));

var _styles = require("./styles");

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Container = ({
  children,
  containerStyle,
  style
}) => /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
  bounces: false,
  style: (0, _styles.apply)(_styles.C.p4, _styles.C.flex, _styles.C.bgBackdrop, _styles.C.grow, style),
  contentContainerStyle: (0, _styles.apply)(_styles.C.grow, containerStyle)
}, children);

exports.Container = Container;

const Separator = () => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
  style: _styles.C.h4
});

exports.Separator = Separator;

const Title = ({
  children,
  style
}) => /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
  style: (0, _styles.apply)(_styles.C.font6, _styles.C.familyRobotoBold, _styles.C.mb4, style)
}, children);

exports.Title = Title;

const Subtitle = ({
  children,
  style
}) => /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
  style: (0, _styles.apply)(_styles.C.font4, _styles.C.wFull, _styles.C.familyRobotoMedium, _styles.C.mb4, style)
}, children);

exports.Subtitle = Subtitle;
const insets = _reactNative.Platform.OS === 'ios' ? {
  bottom: 34,
  right: 0,
  top: 48,
  left: 0
} : {
  bottom: 0,
  right: 0,
  left: 0,
  top: 0
};
exports.insets = insets;
//# sourceMappingURL=utils.js.map