import { storiesOf } from '@storybook/react-native';
import React from 'react';
import { View, Text } from 'react-native';
import { C, apply, classNames } from './styles';
import { Container, Title } from './utils';
import LinearGradient from 'react-native-linear-gradient';
import { Gradient } from './Colors';
const colorsStories = storiesOf('Colors', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));
const general = ['Squid Ink', 'Action', 'Success', 'Warning', 'Disrupt'];
const grays = ['Support', 'Neutral', 'Iconic', 'Platin', 'Backdrop', 'White'];
const texts = ['Squid Ink', 'Action', 'Success', 'Warning', 'Disrupt', 'Support', 'Neutral'];
const graphs = ['Pending', 'Partial', 'Paid', 'Accepted', 'Collected', 'Billed', 'Not Billed', 'Partially Billed', 'Draft'];

const ColorBox = ({
  color,
  text,
  lightColor = false
}) => /*#__PURE__*/React.createElement(View, {
  style: C.mb4,
  key: text
}, /*#__PURE__*/React.createElement(View, {
  style: apply(color, classNames('radius2 h20 w20', {
    'borderBasic borderMinimum': lightColor
  }))
}), /*#__PURE__*/React.createElement(Text, {
  style: apply(C.mt2, C.font3, C.alignCenter)
}, text));

colorsStories.add('General Colors', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "General Colors"), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, general.map(graphName => /*#__PURE__*/React.createElement(ColorBox, {
  key: graphName,
  color: C["bg".concat(graphName.split(' ').join(''))],
  text: graphName
}))), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, grays.map(graphName => /*#__PURE__*/React.createElement(ColorBox, {
  key: graphName,
  color: C["bg".concat(graphName.split(' ').join(''))],
  text: graphName,
  lightColor: ['Platin', 'White'].includes(graphName)
})))));
colorsStories.add('Graphs Colors', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Graphs Colors"), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, graphs.map(graphName => /*#__PURE__*/React.createElement(ColorBox, {
  key: graphName,
  color: C["bg".concat(graphName.split(' ').join(''))],
  text: graphName
})), /*#__PURE__*/React.createElement(View, {
  style: C.mb2
}, /*#__PURE__*/React.createElement(LinearGradient, {
  start: {
    x: 0,
    y: 0
  },
  end: {
    x: 1,
    y: 0
  },
  colors: Gradient.single,
  style: apply(C.radius2, C.h20, C.w20)
}), /*#__PURE__*/React.createElement(Text, {
  style: apply(C.mt2, C.font3, C.alignCenter)
}, "Single Gradient")))));
colorsStories.add('Text Colors', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Text Colors"), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, texts.map(graphName => /*#__PURE__*/React.createElement(ColorBox, {
  key: graphName,
  color: C["bg".concat(graphName.split(' ').join(''))],
  text: graphName,
  lightColor: ['White'].includes(graphName)
})))));
//# sourceMappingURL=Colors.stories.js.map