import { storiesOf } from '@storybook/react-native';
import React, { useRef, useState } from 'react';
import { View } from 'react-native';
import { Container, Title, Separator } from '../../utils';
import { C } from '../../styles';
import ActionSheet from './ActionSheet';
import Button, { ButtonVariant } from '../Button';
const actionSheetStories = storiesOf('ActionSheet', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));

function Component() {
  const actionSheetRef = useRef(null);
  const actionsSimple = [{
    label: 'New Invoice'
  }, {
    label: 'New  Quote'
  }, {
    label: 'New Proforma'
  }, {
    label: 'New Purchase'
  }];
  const actionsWithIcons = [{
    label: 'Contact',
    icon: 'user'
  }, {
    label: 'Company',
    icon: 'building'
  }, {
    label: 'Debtor',
    icon: 'gavel'
  }, {
    label: 'Alien',
    icon: 'raygun'
  }];
  const [items, setItem] = useState(actionsSimple);
  return /*#__PURE__*/React.createElement(View, {
    style: C.flex
  }, /*#__PURE__*/React.createElement(Title, null, 'ActionSheet'), /*#__PURE__*/React.createElement(Button, {
    onPress: () => {
      var _actionSheetRef$curre;

      (_actionSheetRef$curre = actionSheetRef.current) === null || _actionSheetRef$curre === void 0 ? void 0 : _actionSheetRef$curre.open();
    },
    variant: ButtonVariant.Primary,
    text: "Open"
  }), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Title, null, 'ActionSheet with icons'), /*#__PURE__*/React.createElement(Button, {
    onPress: () => {
      var _actionSheetRef$curre2;

      (_actionSheetRef$curre2 = actionSheetRef.current) === null || _actionSheetRef$curre2 === void 0 ? void 0 : _actionSheetRef$curre2.open();
      setItem(actionsWithIcons);
    },
    variant: ButtonVariant.Primary,
    text: "Open with icons"
  }), /*#__PURE__*/React.createElement(ActionSheet, {
    closeText: 'Cancel',
    items: items,
    title: 'Title ActionSheet',
    ref: actionSheetRef
  }), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Title, null, 'ActionSheet without title'), /*#__PURE__*/React.createElement(Button, {
    onPress: () => {
      var _actionSheetRef$curre3;

      (_actionSheetRef$curre3 = actionSheetRef.current) === null || _actionSheetRef$curre3 === void 0 ? void 0 : _actionSheetRef$curre3.open();
      setItem(actionsSimple);
    },
    variant: ButtonVariant.Primary,
    text: "Open with icons"
  }), /*#__PURE__*/React.createElement(ActionSheet, {
    closeText: 'Cancel',
    items: items,
    ref: actionSheetRef
  }));
}

actionSheetStories.add('Variants', () => {
  return /*#__PURE__*/React.createElement(Component, null);
});
//# sourceMappingURL=ActionSheet.stories.js.map