import { storiesOf } from '@storybook/react-native';
import React from 'react';
import { View } from 'react-native';
import { C, apply } from '../../styles';
import { Container, Title, Subtitle } from '../../utils';
import AwesomeIcon from './AwesomeIcon';
import { AwesomeIconSize, AwesomeIconVariant } from './AwesomeIcon.types';
const awesomeIconStories = storiesOf('AwesomeIcon', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));
const brandIcons = ['react', 'twitter', 'facebook', 'youtube'];
const icons = ['key', 'home', 'times-circle', 'user'];

const renderIcons = (variant, size = AwesomeIconSize.Medium) => icons.map((icon, index) => /*#__PURE__*/React.createElement(AwesomeIcon, {
  key: index,
  variant: variant,
  icon: icon,
  size: size,
  style: C.mb4
}));

const renderBrandIcons = () => brandIcons.map((icon, index) => /*#__PURE__*/React.createElement(AwesomeIcon, {
  key: index,
  variant: AwesomeIconVariant.Brand,
  icon: icon,
  size: AwesomeIconSize.Medium
}));

const renderTransformedIcons = transform => /*#__PURE__*/React.createElement(AwesomeIcon, {
  variant: AwesomeIconVariant.Solid,
  icon: 'snowboarding',
  size: AwesomeIconSize.Medium,
  transform: transform
});

awesomeIconStories.add('Variants', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Icon Variants"), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Duotone"), renderIcons(AwesomeIconVariant.Duotone)), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Light"), renderIcons(AwesomeIconVariant.Light)), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Solid"), renderIcons(AwesomeIconVariant.Solid)), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Regular"), renderIcons(AwesomeIconVariant.Regular)), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Brand"), renderBrandIcons())));
awesomeIconStories.add('Sizes', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Icon Sizes"), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Micro (10)"), renderIcons(AwesomeIconVariant.Regular, AwesomeIconSize.Micro)), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Extra Extra Small (12)"), renderIcons(AwesomeIconVariant.Regular, AwesomeIconSize.ExtraExtraSmall)), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Extra Small (16)"), renderIcons(AwesomeIconVariant.Regular, AwesomeIconSize.ExtraSmall)), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Small (20)"), renderIcons(AwesomeIconVariant.Regular, AwesomeIconSize.Small)), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Medium (24)"), renderIcons(AwesomeIconVariant.Regular, AwesomeIconSize.Medium)), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Large (32)"), renderIcons(AwesomeIconVariant.Regular, AwesomeIconSize.Large)), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, /*#__PURE__*/React.createElement(Subtitle, null, "Extra Large (48)"), renderIcons(AwesomeIconVariant.Regular, AwesomeIconSize.ExtraLarge))));
awesomeIconStories.add('Transformations', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Icon Transformations"), /*#__PURE__*/React.createElement(Subtitle, null, "Rotation"), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, renderTransformedIcons({}), renderTransformedIcons({
  rotate: 90
}), renderTransformedIcons({
  rotate: 180
}), renderTransformedIcons({
  rotate: 270
})), /*#__PURE__*/React.createElement(Subtitle, null, "Flip"), /*#__PURE__*/React.createElement(View, {
  style: apply(C.row, C.mb4, C.justifyBetween, C.wrap)
}, renderTransformedIcons({}), renderTransformedIcons({
  flipX: true
}), renderTransformedIcons({
  flipY: true
}), renderTransformedIcons({
  flipX: true,
  flipY: true
}))));
//# sourceMappingURL=AwesomeIcon.stories.js.map