function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { forwardRef, useEffect, useImperativeHandle, useState } from 'react';
import { SafeAreaView, TouchableOpacity, View, StatusBar, Platform } from 'react-native';
import RNModal from 'react-native-modal';
import KeyboardSpacer from 'react-native-keyboard-spacer';
import { C, apply, Color } from '../../index';
import AwesomeIcon, { AwesomeIconSize, AwesomeIconVariant } from '../AwesomeIcon/index';
import Text, { TextVariant, FontWeight } from '../Text/index';

const BottomModal = ({
  title = '',
  children,
  isVisible = false,
  ...props
}, ref) => {
  const [visible, setVisible] = useState(isVisible);

  const close = () => setVisible(false);

  const open = () => setVisible(true);

  useImperativeHandle(ref, () => ({
    open,
    close
  }), []);
  useEffect(() => {
    setVisible(visible);
  }, [isVisible, visible]);
  useEffect(() => {
    if (Platform.OS !== 'ios') {
      StatusBar.setTranslucent(true);
    }

    return () => StatusBar.setTranslucent(false);
  }, []);
  return /*#__PURE__*/React.createElement(RNModal, _extends({
    isVisible: visible,
    style: apply(C.justifyEnd, C.m0),
    onBackdropPress: close,
    onBackButtonPress: close
  }, props), /*#__PURE__*/React.createElement(SafeAreaView, {
    style: apply(C.itemBottom, C.justifyEnd, C.bgWhite, {
      borderTopLeftRadius: 12,
      borderTopRightRadius: 12
    })
  }, /*#__PURE__*/React.createElement(View, {
    style: apply(C.row, C.justifyBetween, C.itemsCenter, C.mt3, C.py3, C.px4, C.mb1)
  }, /*#__PURE__*/React.createElement(Text, {
    variant: TextVariant.Large,
    weight: FontWeight.Regular,
    numberOfLines: 1
  }, title), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: close,
    style: C.ml2
  }, /*#__PURE__*/React.createElement(AwesomeIcon, {
    variant: AwesomeIconVariant.Regular,
    icon: "times",
    size: AwesomeIconSize.Medium,
    color: Color.support
  }))), children, /*#__PURE__*/React.createElement(KeyboardSpacer, null)));
};

export default /*#__PURE__*/forwardRef(BottomModal);
//# sourceMappingURL=BottomModal.js.map