import { storiesOf } from '@storybook/react-native/dist';
import { Container, Title } from '../../utils';
import React from 'react';
import { apply, C } from '../../styles';
import Button, { ButtonSize, ButtonVariant } from '../Button';
import { View } from 'react-native';
import BottomModal from './BottomModal';
import Input from '../Input/Input';
const bottomModalStories = storiesOf('Bottom Modal', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));

function Component() {
  const modalRef = React.useRef(null);
  return /*#__PURE__*/React.createElement(View, {
    style: C.flex1
  }, /*#__PURE__*/React.createElement(Title, null, "Modal"), /*#__PURE__*/React.createElement(Button, {
    onPress: () => {
      var _modalRef$current;

      (_modalRef$current = modalRef.current) === null || _modalRef$current === void 0 ? void 0 : _modalRef$current.open();
    },
    variant: ButtonVariant.Primary,
    text: "Open"
  }), /*#__PURE__*/React.createElement(BottomModal, {
    title: 'Fruits Everywhere',
    ref: modalRef
  }, /*#__PURE__*/React.createElement(View, {
    style: apply(C.m2)
  }, /*#__PURE__*/React.createElement(Input, {
    icon: "lemon",
    placeholder: "Fruit",
    defaultValue: "Alvocade :)"
  }), /*#__PURE__*/React.createElement(View, {
    style: apply(C.flex, C.my6)
  }, /*#__PURE__*/React.createElement(Button, {
    onPress: () => {},
    size: ButtonSize.Medium,
    text: 'Buy fruit'
  })))));
}

bottomModalStories.add('Variants', () => {
  return /*#__PURE__*/React.createElement(Component, null);
});
//# sourceMappingURL=BottomModal.stories.js.map