import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { Container, Title, Separator } from '../../utils';
import Button from './Button';
import { ButtonVariant, ButtonSize, SocialButton } from './Button.types';
import { AwesomeIconVariant } from '../AwesomeIcon';
const buttonStories = storiesOf('Button', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));
buttonStories.add('Variants', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Button Variants"), /*#__PURE__*/React.createElement(Button, {
  onPress: () => {},
  variant: ButtonVariant.Primary,
  text: "Primary Button"
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Button, {
  onPress: () => {},
  variant: ButtonVariant.Secondary,
  text: "Secondary Button"
})));
buttonStories.add('Sizes', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Button Sizes"), /*#__PURE__*/React.createElement(Button, {
  onPress: () => {},
  size: ButtonSize.Small,
  text: "Small Button"
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Button, {
  onPress: () => {},
  size: ButtonSize.Medium,
  text: "Medium Button"
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Button, {
  onPress: () => {},
  size: ButtonSize.Large,
  text: "Large Button"
})));
buttonStories.add('States', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Button States"), /*#__PURE__*/React.createElement(Button, {
  onPress: () => {},
  text: "Default State"
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Button, {
  onPress: () => {},
  disabled: true,
  text: "Disabled State"
})));
buttonStories.add('Social', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Social Buttons"), /*#__PURE__*/React.createElement(Button, {
  variant: ButtonVariant.Social,
  provider: SocialButton.Apple,
  onPress: () => {},
  text: "Signup with Apple"
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Button, {
  variant: ButtonVariant.Social,
  provider: SocialButton.Google,
  onPress: () => {},
  text: "Login with Google"
})));
buttonStories.add('With Icon', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "With Icon"), /*#__PURE__*/React.createElement(Button, {
  onPress: () => {},
  iconName: "plus",
  text: "Add"
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Button, {
  onPress: () => {},
  iconName: "trash",
  variant: ButtonVariant.Secondary,
  text: "Remove"
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Button, {
  onPress: () => {},
  iconName: "envelope",
  iconVariant: AwesomeIconVariant.Solid,
  text: "Send"
})));
//# sourceMappingURL=Button.stories.js.map