import React from 'react';
import { TouchableOpacity } from 'react-native';
import { apply, C, classNames } from '../../styles';
import Color, { TextColor } from '../../Colors';
import Text, { TextVariant } from '../Text';
import { FilterChipVariant } from './FilterChip.types';
import AwesomeIcon, { AwesomeIconSize, AwesomeIconVariant } from '../AwesomeIcon';

const FilterChip = ({
  containerStyle,
  variant,
  disabled,
  onPress,
  removable,
  text,
  icon
}) => {
  const handlePress = () => {
    if (!disabled) {
      onPress();
    }
  };

  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: apply(classNames('justifyBetween borderMinimum py2 row itemsCenter radius2 selfStart', {
      px3: !removable,
      pl3: removable,
      pr2: removable,
      bgAction: variant === FilterChipVariant.Primary,
      bgPlatin: variant === FilterChipVariant.Secondary,
      borderAction: variant === FilterChipVariant.Primary,
      borderIconic: variant === FilterChipVariant.Secondary
    }), containerStyle),
    onPress: handlePress,
    activeOpacity: 0.8
  }, icon, /*#__PURE__*/React.createElement(Text, {
    color: variant === FilterChipVariant.Primary ? TextColor.white : TextColor.support,
    variant: TextVariant.ExtraExtraSmall
  }, text), removable ? /*#__PURE__*/React.createElement(AwesomeIcon, {
    icon: "times",
    variant: AwesomeIconVariant.Solid,
    color: variant === FilterChipVariant.Primary ? Color.white : Color.action,
    size: AwesomeIconSize.ExtraExtraSmall,
    style: C.ml1
  }) : null);
};

export default FilterChip;
//# sourceMappingURL=FilterChip.js.map