import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { Container, Separator, Subtitle, Title } from '../../utils';
import AwesomeIcon, { AwesomeIconSize, AwesomeIconVariant } from '../AwesomeIcon';
import FilterChip from './FilterChip';
import Color from '../../Colors';
import { C } from '../../styles';
import { FilterChipVariant } from './FilterChip.types';
const filterChipStores = storiesOf('FilterChip', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));
filterChipStores.add('Basic', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Filter Chips"), /*#__PURE__*/React.createElement(Subtitle, null, "Removable Filter Chip"), /*#__PURE__*/React.createElement(FilterChip, {
  variant: FilterChipVariant.Primary,
  text: "Pending",
  onPress: () => {},
  removable: true
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, null, "Custom Filter Chip"), /*#__PURE__*/React.createElement(FilterChip, {
  variant: FilterChipVariant.Secondary,
  onPress: () => {},
  text: 'Custom'
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(FilterChip, {
  onPress: () => {},
  variant: FilterChipVariant.Secondary,
  text: 'Custom with Icon',
  icon: /*#__PURE__*/React.createElement(AwesomeIcon, {
    style: C.mr2,
    icon: 'circle',
    size: AwesomeIconSize.ExtraExtraSmall,
    color: Color.disrupt,
    variant: AwesomeIconVariant.Solid
  })
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(FilterChip, {
  onPress: () => {},
  variant: FilterChipVariant.Secondary,
  text: 'Custom with Icon',
  removable: true
})));
filterChipStores.add('Variants', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Variants"), /*#__PURE__*/React.createElement(Subtitle, null, "Primary"), /*#__PURE__*/React.createElement(FilterChip, {
  variant: FilterChipVariant.Primary,
  text: "Unpaid",
  onPress: () => {}
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, null, "Secondary"), /*#__PURE__*/React.createElement(FilterChip, {
  variant: FilterChipVariant.Secondary,
  text: "Overdue",
  onPress: () => {}
}), /*#__PURE__*/React.createElement(Separator, null)));
//# sourceMappingURL=FilterChip.stories.js.map