import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { Container, Separator, Subtitle, Title } from '../../utils';
import { C } from '../../styles';
import Input from './Input';
import { View } from 'react-native';
import { InputSize } from './Input.types';
const inputStories = storiesOf('Input', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));
inputStories.add('Status', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, {
  style: C.px4
}, "Input Status"), /*#__PURE__*/React.createElement(Subtitle, {
  style: C.px4
}, "Basic input"), /*#__PURE__*/React.createElement(Input, {
  placeholder: "Full Name"
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, {
  style: C.px4
}, "Password input"), /*#__PURE__*/React.createElement(Input, {
  icon: "key",
  placeholder: "Choose a password",
  secureTextEntry: true
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, {
  style: C.px4
}, "Focused input"), /*#__PURE__*/React.createElement(Input, {
  icon: "user",
  placeholder: "User Name",
  defaultValue: "Zlatan Ibrahimovic",
  focused: true
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, {
  style: C.px4
}, "Error input"), /*#__PURE__*/React.createElement(Input, {
  icon: "home",
  placeholder: "Address",
  error: true
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, {
  style: C.px4
}, "Error input with value"), /*#__PURE__*/React.createElement(Input, {
  icon: "home",
  placeholder: "Address",
  defaultValue: "Passeig Joan de Borb\xF3",
  error: true
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, {
  style: C.px4
}, "Disabled"), /*#__PURE__*/React.createElement(Input, {
  disabled: true,
  icon: "envelope",
  placeholder: "Email"
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, {
  style: C.px4
}, "Readonly"), /*#__PURE__*/React.createElement(Input, {
  readonly: true,
  defaultValue: "john.doe@example.com",
  icon: "envelope",
  placeholder: "Email"
}), /*#__PURE__*/React.createElement(View, {
  style: C.h8
})));
inputStories.add('Sizes', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, {
  style: C.px4
}, "Input Sizes"), /*#__PURE__*/React.createElement(Subtitle, {
  style: C.px4
}, "Normal Size"), /*#__PURE__*/React.createElement(Input, {
  placeholder: "Full Name"
}), /*#__PURE__*/React.createElement(View, {
  style: C.h2
}), /*#__PURE__*/React.createElement(Input, {
  icon: "home",
  placeholder: "Address"
}), /*#__PURE__*/React.createElement(View, {
  style: C.h2
}), /*#__PURE__*/React.createElement(Input, {
  icon: "user",
  placeholder: "User Name",
  error: true
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, {
  style: C.px4
}, "Small Size"), /*#__PURE__*/React.createElement(Input, {
  size: InputSize.Small,
  placeholder: "This is a placeholder"
}), /*#__PURE__*/React.createElement(View, {
  style: C.h2
}), /*#__PURE__*/React.createElement(Input, {
  size: InputSize.Small,
  placeholder: "Address",
  icon: "home"
}), /*#__PURE__*/React.createElement(View, {
  style: C.h2
}), /*#__PURE__*/React.createElement(Input, {
  size: InputSize.Small,
  placeholder: "User Name",
  icon: "user",
  error: true
})));
//# sourceMappingURL=Input.stories.js.map