import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { insets, Subtitle } from '../../utils';
import Layout from './Layout';
import { apply, C } from '../../styles';
import { Alert, TouchableOpacity, View } from 'react-native';
import Text, { TextVariant, FontWeight } from '../Text/index';
import AwesomeIcon, { AwesomeIconSize, AwesomeIconVariant } from '../AwesomeIcon';
import Color from '../../Colors';
const layoutStories = storiesOf('Layout', module);
layoutStories.add('Basic Layout', () => /*#__PURE__*/React.createElement(Layout, {
  title: "Basic Layout",
  insets: insets
}, /*#__PURE__*/React.createElement(Subtitle, null, "Children content")));
layoutStories.add('With Back Layout', () => /*#__PURE__*/React.createElement(Layout, {
  title: "With back Layout",
  insets: insets,
  withBack: true
}, /*#__PURE__*/React.createElement(Subtitle, null, "Children content")));
layoutStories.add('With Actions Layout', () => {
  const actions = /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: () => Alert.alert('Alert title', 'Alert content')
  }, /*#__PURE__*/React.createElement(AwesomeIcon, {
    icon: "plus",
    variant: AwesomeIconVariant.Light,
    size: AwesomeIconSize.Medium,
    color: Color.action
  }));
  return /*#__PURE__*/React.createElement(Layout, {
    title: "With actions Layout",
    actions: actions,
    insets: insets,
    withBack: true
  }, /*#__PURE__*/React.createElement(Subtitle, null, "Children content"));
});
layoutStories.add('With icons', () => /*#__PURE__*/React.createElement(Layout, {
  title: /*#__PURE__*/React.createElement(View, {
    style: apply(C.row, C.itemsCenter)
  }, /*#__PURE__*/React.createElement(Text, {
    numberOfLines: 1,
    variant: TextVariant.ExtraLarge,
    weight: FontWeight.Medium
  }, '#F200005'), /*#__PURE__*/React.createElement(AwesomeIcon, {
    icon: 'circle',
    variant: AwesomeIconVariant.Solid,
    size: AwesomeIconSize.ExtraExtraSmall,
    style: C.ml2,
    color: Color.disrupt
  })),
  insets: insets,
  withBack: true
}, /*#__PURE__*/React.createElement(Subtitle, null, "Children")));
//# sourceMappingURL=Layout.stories.js.map