/*
import React, { forwardRef, ForwardRefRenderFunction } from 'react';
import { TouchableOpacity, View, Text } from 'react-native';
import { C, apply } from '../../../index';

import type { ListItemProps } from '@holded/mobile-ui/components/List/ListItem/ListItem.types';
import AwesomeIcon from '../../AwesomeIcon/AwesomeIcon';

const ON_PRESS_OPACITY = 0.6;
const ListItem: ForwardRefRenderFunction<TouchableOpacity, ListItemProps> = (
  {
    containerStyle,
    leftContainerStyle,
    rightContainerStyle,
    title,
    titleStyle,
    subtitle,
    subtitleStyle,
    value,
    valueStyle,
    subValue,
    subValueStyle,
    onPress,
    onPressOpacity = ON_PRESS_OPACITY,
    hasRightIcon = !!onPress,
    rightIconColor,
    icon,
    rightChildren,
    leftChildren,
  }: ListItemProps,
  ref
) => {
  const defaultContainerStyle = apply(C.row);
  const defaultLeftStyle = apply(C.flex1);
  const defaultRightStyle = apply(C.flex1, C.row);
  const handlePress = () => onPress?.();
  return (
    <TouchableOpacity
      ref={ref}
      activeOpacity={onPress ? onPressOpacity : 1}
      onPress={handlePress}
      style={apply(defaultContainerStyle, containerStyle)}
    >
      {leftChildren ? (
        leftChildren
      ) : (
        <>
          {icon && icon}
          {(title || subtitle) && (
            <View style={apply(defaultLeftStyle, leftContainerStyle)}>
              {title && <Text style={titleStyle}>{title}</Text>}
              {subtitle && <Text style={subtitleStyle}>{subtitle}</Text>}
            </View>
          )}
        </>
      )}
      {rightChildren
        ? rightChildren
        : (value || subValue) && (
            <View style={apply(defaultRightStyle, rightContainerStyle)}>
              <View style={apply(C.flex1, C.itemsEnd)}>
                {value && <Text style={valueStyle}>{value}</Text>}
                {subValue && <Text style={subValueStyle}>{subValue}</Text>}
              </View>
              {hasRightIcon && (
                <View style={apply(C.ml2, C.justifyCenter)}>
                  <AwesomeIcon
                    icon={'chevron-right'}
                    variant={'fal'}
                    color={rightIconColor}
                  />
                </View>
              )}
            </View>
          )}
    </TouchableOpacity>
  );
};

export default forwardRef(ListItem);
*/
//# sourceMappingURL=ListItem.js.map