function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { forwardRef, useEffect, useImperativeHandle, useState } from 'react';
import { Platform, KeyboardAvoidingView, ScrollView, TouchableOpacity, View } from 'react-native';
import RNModal from 'react-native-modal';
import Text, { FontWeight, TextVariant } from '../Text';
import Color from '../../Colors';
import AwesomeIcon, { AwesomeIconSize, AwesomeIconVariant } from '../AwesomeIcon';
import { apply, C } from '../../styles';

const Modal = ({
  title = '',
  footer,
  children,
  isVisible = false,
  ...props
}, ref) => {
  const [visible, setVisible] = useState(isVisible);

  const close = () => setVisible(false);

  const open = () => setVisible(true);

  useImperativeHandle(ref, () => ({
    open,
    close
  }), []);
  useEffect(() => {
    setVisible(visible);
  }, [isVisible, visible]);
  return /*#__PURE__*/React.createElement(RNModal, _extends({
    isVisible: visible,
    style: apply(C.flex, C.m0)
  }, props), /*#__PURE__*/React.createElement(View, {
    style: apply(C.flex, C.bgWhite, {
      borderTopLeftRadius: 12,
      borderTopRightRadius: 12
    })
  }, /*#__PURE__*/React.createElement(View, {
    style: apply(C.row, C.justifyBetween, C.itemsCenter, C.mt3, C.py3, C.px4, C.mb1)
  }, /*#__PURE__*/React.createElement(Text, {
    variant: TextVariant.Large,
    weight: FontWeight.Bold,
    numberOfLines: 1
  }, title), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: close,
    style: C.ml2
  }, /*#__PURE__*/React.createElement(AwesomeIcon, {
    variant: AwesomeIconVariant.Regular,
    icon: "times",
    size: AwesomeIconSize.Medium,
    color: Color.support
  }))), Platform.OS === 'ios' ? /*#__PURE__*/React.createElement(KeyboardAvoidingView, {
    style: C.flex,
    keyboardVerticalOffset: 50,
    behavior: 'padding'
  }, /*#__PURE__*/React.createElement(ScrollView, {
    style: apply(C.flex)
  }, children)) : /*#__PURE__*/React.createElement(ScrollView, {
    style: apply(C.flex)
  }, children), footer));
};

export default /*#__PURE__*/forwardRef(Modal);
//# sourceMappingURL=Modal.js.map