import React, { useState } from 'react';
import { View, TouchableOpacity } from 'react-native';
import { storiesOf } from '@storybook/react-native';
import { Container, Separator, Title } from '../../utils';
import Button, { ButtonVariant } from '../Button';
import Text, { TextVariant, FontWeight } from '../Text';
import Input from '../Input';
import Modal from './Modal';
import { C, apply } from '../../styles';
import { TextColor } from '../../Colors';
const modalStories = storiesOf('Modal', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));

function Component() {
  const modalRef = React.useRef(null);
  const [footer, setFooter] = useState(null);
  const [title, setTitle] = useState('Title Modal');
  const footerComp = /*#__PURE__*/React.createElement(View, {
    style: apply(C.px4, C.my4)
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: apply(C.bgAction, C.radius2, C.h12, C.row, C.itemsCenter, C.justifyCenter)
  }, /*#__PURE__*/React.createElement(Text, {
    variant: TextVariant.Small,
    weight: FontWeight.Bold,
    color: TextColor.white
  }, "Save")));
  return /*#__PURE__*/React.createElement(View, {
    style: C.flex1
  }, /*#__PURE__*/React.createElement(Title, null, "Modal"), /*#__PURE__*/React.createElement(Button, {
    onPress: () => {
      var _modalRef$current;

      (_modalRef$current = modalRef.current) === null || _modalRef$current === void 0 ? void 0 : _modalRef$current.open();
      setFooter(null);
    },
    variant: ButtonVariant.Primary,
    text: "Open"
  }), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Title, null, "Modal with Footer"), /*#__PURE__*/React.createElement(Button, {
    onPress: () => {
      var _modalRef$current2;

      (_modalRef$current2 = modalRef.current) === null || _modalRef$current2 === void 0 ? void 0 : _modalRef$current2.open();
      setFooter(footerComp);
      setTitle('Title Modal with Footer');
    },
    variant: ButtonVariant.Primary,
    text: "Open"
  }), /*#__PURE__*/React.createElement(Modal, {
    ref: modalRef,
    title: title,
    footer: footer,
    style: apply(C.m0, C.flex, {
      paddingTop: 50
    })
  }, /*#__PURE__*/React.createElement(View, {
    style: apply(C.flex)
  }, /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Input, {
    icon: "user",
    placeholder: 'Contact'
  }), /*#__PURE__*/React.createElement(Input, {
    icon: "clock",
    containerStyle: C.bordertop0,
    placeholder: 'Calendar'
  }), /*#__PURE__*/React.createElement(Input, {
    icon: "calendar",
    placeholder: 'Due Calendar',
    containerStyle: C.bordertop0
  }), /*#__PURE__*/React.createElement(Input, {
    icon: "percent",
    containerStyle: C.bordertop0,
    placeholder: 'Discount'
  }), footer === null ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Input, {
    icon: "envelope",
    placeholder: 'Extra Input 1',
    containerStyle: C.bordertop0
  }), /*#__PURE__*/React.createElement(Input, {
    icon: "key",
    containerStyle: C.bordertop0,
    placeholder: 'Extra Input 2'
  }), /*#__PURE__*/React.createElement(Input, {
    icon: "envelope",
    placeholder: 'Extra Input 3',
    containerStyle: C.bordertop0
  }), /*#__PURE__*/React.createElement(Input, {
    icon: "key",
    containerStyle: C.bordertop0,
    placeholder: 'Extra Input 4'
  }), /*#__PURE__*/React.createElement(Input, {
    icon: "envelope",
    placeholder: 'Extra Input 5',
    containerStyle: C.bordertop0
  })) : null)));
}

modalStories.add('Variants', () => {
  return /*#__PURE__*/React.createElement(Component, null);
});
//# sourceMappingURL=Modal.stories.js.map