import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { Container, Separator, Subtitle, Title } from '../../utils';
import Select from './Select';
const selectStories = storiesOf('Select', module).addDecorator(story =>
/*#__PURE__*/
// @ts-ignore
React.createElement(Container, null, story()));
const items = [{
  label: 'Item A',
  value: 'A'
}, {
  label: 'Item B',
  value: 'B'
}, {
  label: 'Item C',
  value: 'C'
}];
selectStories.add('Basic Select', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Select"), /*#__PURE__*/React.createElement(Select, {
  label: "Password",
  placeholder: "Choose a password",
  icon: "key",
  items: items,
  onChange: () => {}
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Select, {
  error: true,
  label: "Password",
  icon: "key",
  items: items,
  onChange: () => {}
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Select, {
  label: "Country",
  placeholder: "Select a country",
  icon: "key",
  items: items,
  value: "A",
  onChange: () => {}
})));
selectStories.add('Statuses', () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null, "Statuses"), /*#__PURE__*/React.createElement(Subtitle, null, "Basic"), /*#__PURE__*/React.createElement(Select, {
  label: "Country",
  placeholder: "Choose a country",
  icon: "globe",
  items: items,
  onChange: () => {}
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, null, "Focused"), /*#__PURE__*/React.createElement(Select, {
  label: "Country",
  placeholder: "Choose a country",
  icon: "globe",
  focused: true,
  items: items,
  onChange: () => {}
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, null, "With error"), /*#__PURE__*/React.createElement(Select, {
  label: "Country",
  placeholder: "Choose a country",
  icon: "globe",
  error: true,
  items: items,
  onChange: () => {}
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, null, "Disabled"), /*#__PURE__*/React.createElement(Select, {
  label: "Country",
  placeholder: "Choose a country",
  icon: "globe",
  disabled: true,
  items: items,
  onChange: () => {}
}), /*#__PURE__*/React.createElement(Separator, null), /*#__PURE__*/React.createElement(Subtitle, null, "Readonly"), /*#__PURE__*/React.createElement(Select, {
  label: "Country",
  placeholder: "Choose a country",
  icon: "globe",
  readonly: true,
  items: items,
  onChange: () => {}
})));
//# sourceMappingURL=Select.stories.js.map