import React from 'react';
import { apply, C } from './styles';
import { Text, View, ScrollView, Platform } from 'react-native';
export const Container = ({
  children,
  containerStyle,
  style
}) => /*#__PURE__*/React.createElement(ScrollView, {
  bounces: false,
  style: apply(C.p4, C.flex, C.bgBackdrop, C.grow, style),
  contentContainerStyle: apply(C.grow, containerStyle)
}, children);
export const Separator = () => /*#__PURE__*/React.createElement(View, {
  style: C.h4
});
export const Title = ({
  children,
  style
}) => /*#__PURE__*/React.createElement(Text, {
  style: apply(C.font6, C.familyRobotoBold, C.mb4, style)
}, children);
export const Subtitle = ({
  children,
  style
}) => /*#__PURE__*/React.createElement(Text, {
  style: apply(C.font4, C.wFull, C.familyRobotoMedium, C.mb4, style)
}, children);
export const insets = Platform.OS === 'ios' ? {
  bottom: 34,
  right: 0,
  top: 48,
  left: 0
} : {
  bottom: 0,
  right: 0,
  left: 0,
  top: 0
};
//# sourceMappingURL=utils.js.map