import type { VoidFunction, WithTestID } from '../../types';
import type { PropsWithChildren } from 'react';
import type { TouchableOpacityProps } from 'react-native';
import type { AwesomeIconVariant, IconName } from '../AwesomeIcon';
export declare enum ButtonVariant {
    Primary = "primary",
    Secondary = "secondary",
    Outline = "outline",
    Social = "social"
}
export declare enum ButtonSize {
    Small = "small",
    Medium = "medium",
    Large = "large"
}
export declare enum SocialButton {
    Apple = "Apple",
    Google = "Google"
}
declare type ButtonsProps = TouchableOpacityProps & PropsWithChildren<WithTestID<{
    disabled?: boolean;
    iconName?: IconName;
    iconVariant?: AwesomeIconVariant;
    onPress: VoidFunction;
    provider?: SocialButton;
    size?: ButtonSize;
    text: string;
    uppercase?: boolean;
}>>;
export declare type BasicButtonProps = ButtonsProps & {
    variant?: ButtonVariant.Primary | ButtonVariant.Secondary | ButtonVariant.Outline;
};
export declare type SocialButtonProps = ButtonsProps & {
    variant: ButtonVariant.Social;
    provider: SocialButton;
};
export declare type ButtonProps = BasicButtonProps | SocialButtonProps;
export {};
