import { storiesOf } from '@storybook/react-native/dist';
import React from 'react';
import { View } from 'react-native';

import { Container } from '../../utils';
import { apply, C } from '../../styles';
import Text, { FontWeight, TextVariant } from '../Text';
import Avatar from './Avatar';
import Color from '../../Colors';

const avatarStories = storiesOf('Avatar', module).addDecorator((story) => (
  // @ts-ignore
  <Container>{story()}</Container>
));

avatarStories.add('Basic', () => {
  return (
    <View style={apply(C.flex, C.mt10)}>
      <View style={apply(C.row, C.justifyBetween, C.itemsCenter)}>
        <View style={C.itemsCenter}>
          <Text style={C.mb2} variant={TextVariant.S} weight={FontWeight.Bold}>
            {'Placeholder'}
          </Text>
          <Avatar />
        </View>
        <View style={C.itemsCenter}>
          <Text style={C.mb2} variant={TextVariant.S} weight={FontWeight.Bold}>
            {'Avatar'}
          </Text>
          <Avatar name={'Ruben'} useFirstLetter color={Color.black} />
        </View>
        <View style={C.itemsCenter}>
          <Text style={C.mb2} variant={TextVariant.S} weight={FontWeight.Bold}>
            {'Image'}
          </Text>
          <Avatar
            image={
              'https://upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Apple_logo_black.svg/863px-Apple_logo_black.svg.png'
            }
          />
        </View>
      </View>
    </View>
  );
});
