import type Color from '../../Colors';
import type { ImageStyle } from 'react-native-fast-image';

export enum AvatarSize {
  Tiny = 'Tiny',
  Small = 'Small',
  Medium = 'Medium',
  Large = 'Large',
}

export enum AvatarType {
  User = 'User',
  Account = 'Account',
}

export enum AvatarShape {
  Circle = 'Circle',
  RoundedSquare = 'RoundedSquare',
  Square = 'Square',
}

export type AvatarProps = {
  color?: Color | string;
  image?: string | null;
  name?: string;
  shape?: AvatarShape;
  size?: AvatarSize;
  style?: ImageStyle;
  type?: AvatarType;
  useFirstLetter?: boolean;
};
