import { storiesOf } from '@storybook/react-native/dist';
import { Container, Title } from '../../utils';
import React from 'react';
import { apply, C } from '../../styles';
import Button, { ButtonSize, ButtonVariant } from '../Button';
import { View } from 'react-native';
import BottomModal from './BottomModal';
import type { BottomModalProps } from './BottomModal.types';
import Input from '../Input/Input';

const bottomModalStories = storiesOf('Bottom Modal', module).addDecorator(
  (story) => (
    // @ts-ignore
    <Container>{story()}</Container>
  )
);

function Component() {
  const modalRef = React.useRef<BottomModalProps>(null);
  return (
    <View style={C.flex1}>
      <Title>Modal</Title>
      <Button
        onPress={() => {
          modalRef.current?.open();
        }}
        variant={ButtonVariant.Primary}
        text="Open"
      />
      <BottomModal title={'Fruits Everywhere'} ref={modalRef}>
        <View style={apply(C.m2)}>
          <Input icon="lemon" placeholder="Fruit" defaultValue="Alvocade :)" />
          <View style={apply(C.flex, C.my6)}>
            <Button
              onPress={() => {}}
              size={ButtonSize.Medium}
              text={'Buy fruit'}
            />
          </View>
        </View>
      </BottomModal>
    </View>
  );
}

bottomModalStories.add('Variants', () => {
  return <Component />;
});
