import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { Container, Separator, Subtitle, Title } from '../../utils';

import AwesomeIcon, {
  AwesomeIconSize,
  AwesomeIconVariant,
} from '../AwesomeIcon';
import FilterChip from './FilterChip';
import Color from '../../Colors';
import { C } from '../../styles';
import { FilterChipVariant } from './FilterChip.types';

const filterChipStores = storiesOf('FilterChip', module).addDecorator(
  (story) => (
    // @ts-ignore
    <Container>{story()}</Container>
  )
);

filterChipStores.add('Basic', () => (
  <>
    <Title>Filter Chips</Title>

    <Subtitle>Removable Filter Chip</Subtitle>
    <FilterChip
      variant={FilterChipVariant.Primary}
      text="Pending"
      onPress={() => {}}
      removable
    />

    <Separator />

    <Subtitle>Custom Filter Chip</Subtitle>
    <FilterChip
      variant={FilterChipVariant.Secondary}
      onPress={() => {}}
      text={'Custom'}
    />
    <Separator />
    <FilterChip
      onPress={() => {}}
      variant={FilterChipVariant.Secondary}
      text={'Custom with Icon'}
      icon={
        <AwesomeIcon
          style={C.mr2}
          icon={'circle'}
          size={AwesomeIconSize.ExtraExtraSmall}
          color={Color.disrupt}
          variant={AwesomeIconVariant.Solid}
        />
      }
    />
    <Separator />
    <FilterChip
      onPress={() => {}}
      variant={FilterChipVariant.Secondary}
      text={'Custom with Icon'}
      removable
    />
  </>
));

filterChipStores.add('Variants', () => (
  <>
    <Title>Variants</Title>

    <Subtitle>Primary</Subtitle>
    <FilterChip
      variant={FilterChipVariant.Primary}
      text="Unpaid"
      onPress={() => {}}
    />

    <Separator />

    <Subtitle>Secondary</Subtitle>

    <FilterChip
      variant={FilterChipVariant.Secondary}
      text="Overdue"
      onPress={() => {}}
    />

    <Separator />
  </>
));
