import React from 'react';
import Svg, { Circle, G, Path } from 'react-native-svg';
import Color from '../../Colors';
import type { ColorableIconProps } from './Icon.types';

const Contacts = ({
  color = Color.squidInk,
  height = 20,
  width = 20,
  style,
}: ColorableIconProps) => (
  <Svg width={width} height={height} viewBox="0 0 18 19" style={style}>
    <G transform="translate(-2 -1)" fill={color} fillRule="evenodd">
      <Circle cx={11} cy={6} r={5} />
      <Path d="M11 20c7.2 0 9-.7 9-3.5S18.2 13 11 13s-9 .7-9 3.5S3.8 20 11 20z" />
    </G>
  </Svg>
);

export default Contacts;
