import React from 'react';
import Svg, { G, Path } from 'react-native-svg';
import Color from '../../Colors';
import type { ColorableIconProps } from './Icon.types';

const Dashboard = ({
  color = Color.squidInk,
  height = 20,
  width = 20,
  style,
}: ColorableIconProps) => (
  <Svg width={width} height={height} viewBox="0 0 22 20" style={style}>
    <G fill={color} fillRule="evenodd">
      <Path d="M8 10c0 8 .6 10 3 10s3-2 3-10-.6-10-3-10-3 2-3 10zM18.5 20c2.4 0 3-1.4 3-7s-.6-7-3-7-3 1.4-3 7 .6 7 3 7zM3.5 20c2.4 0 3-1.4 3-7s-.6-7-3-7-3 1.4-3 7 .6 7 3 7z" />
    </G>
  </Svg>
);

export default Dashboard;
