import { storiesOf } from '@storybook/react-native';
import React from 'react';
import * as Icon from './index';

import { Container, Title, Separator } from '../../utils';
import Color from '../../Colors';

const iconStories = storiesOf('Icons', module).addDecorator((story) => (
  // @ts-ignore
  <Container>{story()}</Container>
));

iconStories.add('Colorable', () => (
  <>
    <Title>Colorable icons</Title>

    <Icon.HoldedLogo height={64} width={64} color={Color.action} />

    <Separator />
    <Icon.Dashboard height={64} width={64} color={Color.support} />

    <Separator />
    <Icon.Sales height={64} width={64} color={Color.warning} />

    <Separator />
    <Icon.Contacts height={64} width={64} color={Color.accepted} />

    <Separator />
    <Icon.Expenses height={64} width={64} color={Color.success} />

    <Separator />
    <Icon.More height={64} width={64} color={Color.draft} />
  </>
));

iconStories.add('Non Colorable', () => (
  <>
    <Title>Non colorable icons</Title>

    <Icon.GoogleLogo height={64} width={64} />

    <Separator />
    <Icon.AppleLogo height={64} width={64} />

    <Separator />
    <Icon.Intercom height={64} width={64} />
  </>
));
