import React from 'react';
import Svg, { Circle, G } from 'react-native-svg';
import Color from '../../Colors';
import type { ColorableIconProps } from './Icon.types';

const More = ({
  color = Color.squidInk,
  height = 20,
  width = 20,
  style,
}: ColorableIconProps) => (
  <Svg width={width} height={height} viewBox="0 0 14 15" style={style}>
    <G transform="translate(-4 -4)" fill={color} fillRule="evenodd">
      <Circle cx={11} cy={8} r={4} />
      <Circle cx={7} cy={16} r={3} />
      <Circle cx={16} cy={14} r={2} />
    </G>
  </Svg>
);

export default More;
