import type { IconName } from '@fortawesome/pro-light-svg-icons';
import type { PropsWithChildren } from 'react';
import type { TextInputProps, TextStyle, ViewStyle } from 'react-native';

export type InputProps = Omit<TextInputProps, 'onChange'> & {
  cancelAnimation?: boolean;
  containerStyle?: ViewStyle;
  disabled?: boolean;
  error?: boolean;
  focused?: boolean;
  inputStyle?: ViewStyle;
  icon?: string | IconName;
  onChange?: (value: string) => void;
  placeholderToLabel?: (focused: boolean, value: string) => boolean;
  readonly?: boolean;
  required?: boolean;
  showResetButton?: boolean;
  size?: InputSize;
};

export enum InputSize {
  Small = 'Small',
  Medium = 'Medium',
}

export type ForwardedInputProps = Partial<InputProps> & {
  getValue: () => string;
  setValue: (value: string) => void;
};

export type AnimatedLabelProps = PropsWithChildren<{
  error?: boolean;
  placeholderToLabel?: boolean;
  style?: TextStyle;
}>;
