import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { Container, Separator, Subtitle, Title } from '../../utils';
import Select from './Select';

const selectStories = storiesOf('Select', module).addDecorator((story) => (
  // @ts-ignore
  <Container>{story()}</Container>
));

const items = [
  {
    label: 'Item A',
    value: 'A',
  },
  {
    label: 'Item B',
    value: 'B',
  },
  {
    label: 'Item C',
    value: 'C',
  },
];

selectStories.add('Basic Select', () => (
  <>
    <Title>Select</Title>

    <Select
      label="Password"
      placeholder="Choose a password"
      icon="key"
      items={items}
      onChange={() => {}}
    />

    <Separator />

    <Select
      error
      label="Password"
      icon="key"
      items={items}
      onChange={() => {}}
    />

    <Separator />

    <Select
      label="Country"
      placeholder="Select a country"
      icon="key"
      items={items}
      value="A"
      onChange={() => {}}
    />
  </>
));

selectStories.add('Statuses', () => (
  <>
    <Title>Statuses</Title>

    <Subtitle>Basic</Subtitle>
    <Select
      label="Country"
      placeholder="Choose a country"
      icon="globe"
      items={items}
      onChange={() => {}}
    />

    <Separator />

    <Subtitle>Focused</Subtitle>
    <Select
      label="Country"
      placeholder="Choose a country"
      icon="globe"
      focused
      items={items}
      onChange={() => {}}
    />

    <Separator />

    <Subtitle>With error</Subtitle>
    <Select
      label="Country"
      placeholder="Choose a country"
      icon="globe"
      error
      items={items}
      onChange={() => {}}
    />

    <Separator />

    <Subtitle>Disabled</Subtitle>
    <Select
      label="Country"
      placeholder="Choose a country"
      icon="globe"
      disabled
      items={items}
      onChange={() => {}}
    />

    <Separator />
    <Subtitle>Readonly</Subtitle>
    <Select
      label="Country"
      placeholder="Choose a country"
      icon="globe"
      readonly
      items={items}
      onChange={() => {}}
    />
  </>
));
