import type { ViewStyle } from 'react-native';
import type { IconName } from '../AwesomeIcon';

export type SelectItemProps = {
  label: string;
  value: string | number;
};

export type SelectProps = {
  containerStyle?: ViewStyle;
  disabled?: boolean;
  error?: boolean;
  focused?: boolean;
  icon?: IconName;
  inputStyle?: ViewStyle;
  items: SelectItemProps[];
  label: string;
  onChange?: (value: string | number | null) => void;
  placeholder?: string;
  readonly?: boolean;
  value?: string | number;
};

export type ForwardedSelectProps = Partial<SelectProps> & {
  getValue: () => string | number | null;
  setValue: (value: string | number | null) => void;
};
