import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { Container, Separator, Subtitle, Title } from '../../utils';

import Tabs from './Tabs';
import type { TabItem } from './Tabs.types';

const loaderStories = storiesOf('Tabs', module).addDecorator((story) => (
  // @ts-ignore
  <Container>{story()}</Container>
));

const tabItems: TabItem[] = [
  { name: 'Item A', value: 'A' },
  { name: 'Item B', value: 'B' },
  { name: 'Item C', value: 'C' },
  { name: 'Item D', value: 'D' },
];

const extendedTabItems: TabItem[] = [
  ...tabItems,
  {
    name: 'Item E',
    value: 'E',
  },
  {
    name: 'Item F',
    value: 'F',
  },
];

loaderStories.add('Basic Tabs', () => (
  <>
    <Title>Tabs</Title>

    <Subtitle>Basic Tabs</Subtitle>
    <Tabs data={tabItems} />

    <Separator />

    <Subtitle>Centered Tabs</Subtitle>
    <Tabs data={tabItems} justified />

    <Separator />

    <Subtitle>Scrollable Tabs</Subtitle>
    <Tabs data={extendedTabItems} />
  </>
));
