import React from 'react';
import { storiesOf } from '@storybook/react-native';
import { ScrollView, View, Text } from 'react-native';
import Widget from './Widget';
import { C, apply, theme } from '../../index';

const widgetStories = storiesOf('Widget', module);

const listWidgetWithList = [
  { color: theme.colors.pending, name: 'Name 1', value: '00000' },
  { color: theme.colors.disrupt, name: 'Name 2', value: '00000' },
  { color: theme.colors.success, name: 'Name 3', value: '00000' },
];
//TODO (R): Complete after implements the graphs
const graph = (
  <Text style={apply(C.alignCenter, C.p4, C.weightBold)}>{'TODO'}</Text>
);
widgetStories.add('Variants', () => (
  <View style={[apply(C.flex1, C.bgGray100)]}>
    <ScrollView style={apply(C.px4)}>
      <View style={apply(C.justifyCenter, C.pt4)}>
        <Text style={apply(C.alignCenter)}>
          {'Widget without Graph & List'}
        </Text>
        <Widget title={'Title 1'} subtitle={'Subtitle 1'} />
      </View>
      {/*TODO (R): After implements graphs */}
      <View>
        <Text style={apply(C.alignCenter)}>{'Widget with Graph & List'}</Text>
        <Widget
          title={'Title 2'}
          subtitle={'Subtitle 2'}
          graph={graph}
          list={listWidgetWithList}
        />
      </View>
      <View>
        <Text style={apply(C.alignCenter)}>{'Widget with List'}</Text>
        <Widget title={'Title 3'} list={listWidgetWithList} />
      </View>
    </ScrollView>
  </View>
));
