import React, { forwardRef, ForwardRefRenderFunction } from 'react';
import { Text, TouchableOpacity, View } from 'react-native';
import { C, apply } from '../../index';

import type { WidgetProps } from './Widget.types';

const Widget: ForwardRefRenderFunction<TouchableOpacity, WidgetProps> = (
  { children, title, text, onPress, testID }: WidgetProps,
  ref
) => (
  <TouchableOpacity
    ref={ref}
    style={apply(C.bgWhite, C.radius2, C.p4)}
    onPress={onPress}
    {...{ testID }}
  >
    <View style={apply(C.pb3)}>
      {title && <Text>{title}</Text>}

      {text && <Text>{text}</Text>}
    </View>

    {children}
  </TouchableOpacity>
);

export default forwardRef(Widget);
