// Action Sheet
import ActionSheet, {
  ActionSheetProps,
  ActionSheetItem,
} from './components/ActionSheet';

export { ActionSheet, ActionSheetProps, ActionSheetItem };

// Awesome Icons
import AwesomeIcon, {
  AwesomeIconSize,
  AwesomeIconVariant,
  AwesomeIconProps,
  IconName,
} from './components/AwesomeIcon';

export {
  AwesomeIcon,
  AwesomeIconProps,
  AwesomeIconSize,
  AwesomeIconVariant,
  IconName,
};

// Bottom Modal
import BottomModal, { BottomModalProps } from './components/BottomModal';

export { BottomModal, BottomModalProps };

// Buttons
import Button, {
  ButtonSize,
  ButtonVariant,
  ButtonProps,
  SocialButton,
} from './components/Button';

export { Button, ButtonProps, ButtonSize, ButtonVariant, SocialButton };

// Filter Chip
import FilterChip, { FilterChipVariant } from './components/FilterChip';

export { FilterChip, FilterChipVariant };

// Icons
import * as Icon from './components/Icon';

export { Icon };

// Input
import Input, { ForwardedInputProps, InputProps } from './components/Input';

export { Input, ForwardedInputProps, InputProps };

// Input
import Layout from './components/Layout';

export { Layout };

// Modals
import Modal, { ModalProps } from './components/Modal';

export { Modal, ModalProps };

// Select
import Select from './components/Select';
import type {
  ForwardedSelectProps,
  SelectProps,
  SelectItemProps,
} from './components/Select';

export type { ForwardedSelectProps, SelectProps, SelectItemProps };
export { Select };

//
import Avatar, {
  AvatarProps,
  AvatarShape,
  AvatarSize,
  AvatarType,
} from './components/Avatar';

export type { AvatarProps };
export { Avatar, AvatarType, AvatarSize, AvatarShape };

// Styles
import { C, boxShadow, classNames, extend, apply, theme } from './styles';
import Color, { TextColor, Gradient } from './Colors';

export {
  C,
  boxShadow,
  classNames,
  extend,
  apply,
  theme,
  Color,
  Gradient,
  TextColor,
};

// Tabs
import Tabs, { TabItem } from './components/Tabs';

export type { TabItem };
export { Tabs };

// Texts
import Text, {
  OnboardingText,
  TextAlign,
  FontWeight,
  TextVariant,
  OnboardingTextVariant,
} from './components/Text';

export {
  Text,
  OnboardingText,
  TextAlign,
  FontWeight,
  TextVariant,
  OnboardingTextVariant,
};
