import React, { PropsWithChildren } from 'react';
import { apply, C } from './styles';
import { Text, View, ScrollView, ViewStyle, Platform } from 'react-native';

export const Container = ({
  children,
  containerStyle,
  style,
}: PropsWithChildren<{ containerStyle?: ViewStyle; style?: ViewStyle }>) => (
  <ScrollView
    bounces={false}
    style={apply(C.p4, C.flex, C.bgBackdrop, C.grow, style)}
    contentContainerStyle={apply(C.grow, containerStyle)}
  >
    {children}
  </ScrollView>
);

export const Separator = () => <View style={C.h4} />;

export const Title = ({
  children,
  style,
}: PropsWithChildren<{ style?: ViewStyle }>) => (
  <Text style={apply(C.font6, C.familyRobotoBold, C.mb4, style)}>
    {children}
  </Text>
);

export const Subtitle = ({
  children,
  style,
}: PropsWithChildren<{ style?: ViewStyle }>) => (
  <Text style={apply(C.font4, C.wFull, C.familyRobotoMedium, C.mb4, style)}>
    {children}
  </Text>
);

export const insets =
  Platform.OS === 'ios'
    ? { bottom: 34, right: 0, top: 48, left: 0 }
    : { bottom: 0, right: 0, left: 0, top: 0 };
